@php
    use App\General\GeneralSettingsClass;
@endphp
<!DOCTYPE html>
<html lang="zxx">

<head>
    <!-- The above 6 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="keyword" content="">
    <meta name="author" content="" />
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <!-- Page Title -->
    <title>Yazi | Admin Login</title>
    <!-- Main CSS -->
    <link type="text/css" rel="stylesheet" href="{{ url('/') }}/AdminAssets/assets/css/style.css" />
    <!-- Favicon -->
    <link rel="icon" href="{{ url('/') }}/logos/Yazi_Logo_JPG-Black.jpg" type="image/x-icon">
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn"t work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      <![endif]-->
</head>

<body>
    <!--================================-->
    <!-- Page Content Start -->
    <!--================================-->
    <div class="ht-100v text-center">
        <div class="row pd-0 mg-0">
            <div class="col-lg-6 hidden-sm"
                style="background-color: {{ GeneralSettingsClass::getRequiredValue('_layout_color') }} !important;">
                <div class="ht-100v d-flex">
                    <div class="align-self-center">
                        <img src="{{ url('/') . '/' . GeneralSettingsClass::getRequiredValue('_header_logo') }}"
                            class="img-fluid" alt="">
                        <h3 class="tx-20 tx-semibold pd-t-50">We Care about Quality</h3>
                        <p class="pd-y-15 pd-x-10 pd-md-x-100">Yazi is your go-to destination for
                            top-quality wholesale hardware in Australia. With a dedication to excellence and a vast
                            range of products, we serve businesses of all sizes, providing the tools and equipment you
                            need to succeed. Our commitment to quality, exceptional customer service, and a passion for
                            hardware solutions make us the trusted choice for professionals across various industries.
                            Discover a world of high-performance tools and unmatched reliability with Yazi.
                            Copyright � 2023 Yazi Australia.</p>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 bg-light">
                <div class="ht-100v d-flex align-items-center justify-content-center">
                    <form action="{{ route('Admin.Login') }}" method="post" class="" id="login_form_section">
                        @csrf
                        <h3 class="tx-dark mg-b-5 tx-left">Sign In</h3>
                        <p class="tx-gray-500 tx-15 mg-b-40">Welcome back! Please signin to continue.</p>
                        <div class="form-group tx-left">
                            <label class="tx-gray-500 mg-b-5">Email address</label>
                            <input type="email" class="form-control @error('email') is-invalid @enderror"
                                placeholder="email@domain.com" name="email" value="{{ old('email') }}">
                            @error('email')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="form-group" style="position: relative;">
                            <div class="d-flex justify-content-between mg-b-5">
                                <label class="tx-gray-500 mg-b-0">Password</label>
                                <a onclick="forgort_password_form(0)" class="tx-13 mg-b-0 tx-semibold">Forgot
                                    password?</a>
                            </div>
                            <input type="password" id="password"
                                class="form-control @error('password') is-invalid @enderror"
                                placeholder="Enter your password" name="password">
                            <span class="input-group-text-eye"
                                style="cursor: pointer; position: absolute; right: 10px; top: 72%; transform: translateY(-50%);">
                                <img src="{{ url('/') }}/AdminAssets/Users/eye-cross.png"
                                    style="width:22px; height:22px;" alt="" id="togglePassword">
                            </span>
                            @error('password')
                                <span class="invalid-feedback tx-left" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <button type="submit" class="btn btn-block"
                            style="background-color: {{ GeneralSettingsClass::getRequiredValue('_button_color') }} !important; color: white !important;">Sign
                            In</button>
                    </form>
                    <form action="{{ route('Admin.ForgotPassword') }}" method="post" class="d-none"
                        id="forgot_password_section" style="width:275px">
                        @csrf
                        <h3 class="tx-dark mg-b-5 tx-left">Forgot Password</h3>
                        <p class="tx-gray-500 tx-15 mg-b-40 tx-left">Send a reset password email 😃</p>
                        <div class="form-group tx-left">
                            <label class="tx-gray-500 mg-b-5">Email address</label>
                            <input type="email" class="form-control @error('email') is-invalid @enderror"
                                placeholder="email@domain.com" name="email" value="{{ old('email') }}">
                            @error('email')
                                <span class="invalid-feedback tx-left" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <button type="submit" class="btn btn-warning btn-block">Reset Password</button>
                        <div class="response_section"></div>
                        <button type="button" class="btn btn-block btn-outline mt-1" onclick="forgort_password_form(1)"
                            style="background-color: {{ GeneralSettingsClass::getRequiredValue('_button_color') }} !important; color:white !important;">Sign
                            In</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!--/ Page Content End -->
    <!-- jQuery  -->
    <script src="{{ url('/') }}/AdminAssets/assets/plugins/jquery/jquery.min.js"></script>
    <script src="{{ url('/') }}/AdminAssets/assets/plugins/bootstrap/bootstrap.bundle.min.js"></script>
    <script src="{{ url('/') }}/AdminAssets/assets/plugins/feather-icon/feather.min.js"></script>
    <script src="{{ url('/') }}/AdminAssets/assets/plugins/metisMenu/metisMenu.min.js"></script>
    <script src="{{ url('/') }}/AdminAssets/assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>
    <!-- App JS -->
    <script src="{{ url('/') }}/AdminAssets/assets/js/app.js"></script>
    <script>
        $(document).ready(function() {
            $("#togglePassword").click(function() {
                var passwordField = $("#password");
                var fieldType = passwordField.attr("type");

                if (fieldType === "password") {
                    passwordField.attr("type", "text");
                    $("#togglePassword").attr("src", "{{ url('/') }}/AdminAssets/Users/eye.png");
                } else {
                    passwordField.attr("type", "password");
                    $("#togglePassword").attr("src",
                        "{{ url('/') }}/AdminAssets/Users/eye-cross.png");
                }
            });
        });
    </script>
    <script>
        function forgort_password_form(condition) {
            const forgot_password_form = document.getElementById('forgot_password_section');
            const login_form = document.getElementById('login_form_section');
            switch (condition) {
                case 0:
                    login_form.classList.add("d-none");
                    forgot_password_form.classList.remove("d-none");
                    break;
                case 1:
                    login_form.classList.remove("d-none");
                    forgot_password_form.classList.add("d-none");
                    break;
            }
        }
        $(document).ready(function() {
            $('#forgot_password_section').on('submit', function(event) {
                event.preventDefault(); // Prevent the form from submitting normally
                // Send an AJAX request to the server
                $('.response_section').html(`<div class="alert alert-info mt-1">Processing...</div>`);
                $.ajax({
                    type: "POST",
                    url: "{{ route('Admin.ForgotPassword') }}",
                    data: $(this).serialize(), // Serialize the form data
                    success: function(response) {
                        switch (response.status) {
                            case 200:
                                $('.response_section').html(
                                    `<div class="alert alert-success mt-1">${response.message}</div>`
                                );
                                $('input[name=email]').val('');
                                break;
                            case 404:
                                $('.response_section').html(
                                    `<div class="alert alert-warning mt-1">${response.message}</div>`
                                );
                                break;
                            case 500:
                                $('.response_section').html(
                                    `<div class="alert alert-danger mt-1">${response.message}</div>`
                                );
                                break;
                        }
                    },
                    error: function(xhr, status, error) {
                        // Handle the error
                        console.log(error);
                    }
                });
            });
        });
    </script>
</body>

</html>
