@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    $logged_in_user = Auth::user();
    use App\General\InvoiceClass;
@endphp
<!-- Page Inner Start -->
<!--================================-->
<div class="page-inner">
    <!--================================-->
    <!-- Breadcrumb Start -->
    <!--================================-->
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Customer Query List') }}</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin"><i class="icon ion-ios-home-outline"></i>
                        Dashboard</a>
                    <span class="breadcrumb-item active">Customer Query List</span>
                </div>
            </div>
        </div>
    </div>
    <!--/ Breadcrumb End -->
    <!--================================-->
    <!--================================-->
    <div class="success-message"></div>
    <div class="col-md-12 col-lg-12 px-0">
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}</a>
            </div>
        @endif
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <div class="card mg-b-30">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <div>
                        <h6 class="card-header-title tx-13 mb-0">{{ __('Query List') }}</h6>
                    </div>
                     @if (Session::has('permissions') && in_array('Query Delete All', Session::get('permissions')))
                    <div>
                        <button class="btn btn-danger" name="multi_delete" id="multi_delete"
                            onclick="return confirm('Are you sure? Query will permanently be deleted!')">Delete
                            All</button>
                    </div>
                @endif
                </div>
            </div>
            <div class="card-body pd-0">
                <table id="data_Table" class="table hover responsive display nowrap" style=" width: 100% !important;">
                    <thead>
                        <tr>
                            <th width="15px"><input type="checkbox" id="all_checked" name="checkall" value="">
                            </th>
                            <th width="330px">Name</th>
                            <th width="330px">Email</th>
                            <th width="330px">Created at</th>
                            <th>Phone</th>
                            @if (Session::has('permissions') && (in_array('Query Detail', Session::get('permissions'))  ||in_array('Delete Query', Session::get('permissions')))) <th width="100px">Actions</th>@endif
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($quries as $qurie)
                            <tr>
                                <td><input type="checkbox" data-id="{{ $qurie->id }}" name="check_it"
                                        class="mx-2 checkbox" value=""></td>

                                <td>
                                    <div class="product-detail-cell">
                                        <a class="product-title"target="_blank">{{ $qurie->f_name }}
                                            {{ $qurie->l_name }}</a>
                                    </div>
                                </td>
                                <td>{{ $qurie->c_email }}</td>
                                <td>{{ InvoiceClass::convertDateToDDMMYYYY($qurie->created_at) }}</td>
                                <td>{{ $qurie->c_phone }}</td>
                                 @if (Session::has('permissions') && (in_array('Query Detail', Session::get('permissions'))  ||in_array('Delete Query', Session::get('permissions'))))
                                <td>
                                    @if ($qurie->id)
                                        <form action="{{ route('quries.destroy', ['qury' => $qurie->id]) }}"
                                            method="POST">
                                            @csrf
                                            @method('DELETE')
                                           
                                            <div class="btn-group btn-group-sm" role="group" aria-label="...">
                                                   @if (Session::has('permissions') && in_array('Query Detail', Session::get('permissions')))
                                                <button type="button" class="btn btn-secondary btn-sm p-2 show_query_detail" id="{{ $qurie->id }}"data-toggle="modal" data-target="#showquerydataModal">View Detail</button>
                                                @endif
                                                 @if (Session::has('permissions') && in_array('Delete Query', Session::get('permissions')))
                                                <button class="btn btn-danger btn-sm p-2" type="submit" onclick="return confirm('{{ __('Are you sure?') }}')">Delete</button>
                                            @endif
                                            </div>
                                      
                                        </form>
                                    @endif
                                </td>
                                 @endif
                            </tr>
                        @endforeach
                    </tbody>
                    <tfoot>
                        <tr>
                            <th></th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Created at</th>
                            <th>Phone</th>
                             @if (Session::has('permissions') && (in_array('Query Detail', Session::get('permissions'))  ||in_array('Delete Query', Session::get('permissions'))))<th width="100px">Actions</th>@endif
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
    <!--/  Order Active dataTable End -->
    <!--================================-->
</div>

<div class="modal fade" id="showquerydataModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Detail</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-8">
                        <h3 id="full_name"></h3>
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-12">
                       <div class="d-flex">
                        <label class="font-weight-bold">State:</label>
                        <label id="st_name"></label>
                       </div>
                       <div class="d-flex">
                        <label class="font-weight-bold">Email:</label>
                        <label id="q_email"></label>
                       </div>
                       
                    </div>
                    <div class="col-12"><div class="d-flex">
                        <label class="font-weight-bold">Phone:</label>
                        <label id="phone_nm"></label>
                       </div></div>
                </div>
                <hr>
                <div>
                    <b>Message:</b>
                     <p id="q_message"> </p>
                </div>
                <hr>
                <div class="col-lg-6 col-md-6 col-sm-12 m-2" id="q_product">
                    <div class="row">
                        <div class="col-4">
                            <div class="checkout-produt-image">
                                <img src="" class="img-fluid" alt="Product Image">
                            </div>
                        </div>
                        <div class="col-8">
                            <div class="checkout-produt-desc">
                               <a> <p id="p_title"></p></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!--/ Page Inner End -->
@include('Admin.Includes.footer')
<script>
    $(document).ready(function() {
        $(".show_query_detail").on("click", function() {
            var queryId = $(this).attr("id");
            $.ajax({
                type: "GET",
                url: "/customer_querie_details/" + queryId,
                success: function(data) {
                    console.log(data);
                    $('#full_name').text(data.f_name + ' ' + data.l_name);
                    $('#st_name').text(data.c_state);
                    $('#q_email').text(data.c_email);
                    $('#phone_nm').text(data.c_phone);
                    $('#q_message').text(data.c_message);
                    var productTitle = data.product.title;
                    var productPermalink = data.product.permalink;
                    var productImage = data.product.featured_image; 
                    var productUrl = '/' + 'product/' + productPermalink;
                    var anchorTag = $('<a>')
                        .attr('href', productUrl)
                        .attr('target', '_blank') 
                        .text(productTitle);
                    $('#p_title').empty().append(anchorTag);
                    var imageSrc = "{{ asset('') }}" + productImage;
                    $('.checkout-produt-image img').attr('src', imageSrc);
                },
                error: function() {
                    alert("Failed to fetch data.");
                }
            });
        });
    });
</script>



<script>
    function handleCheckAll() {
        var checkAllCheckbox = document.getElementById("all_checked");
        var checkboxes = document.querySelectorAll('#data_Table tbody input[name="check_it"]');
        checkboxes.forEach(function(checkbox) {
            checkbox.checked = checkAllCheckbox.checked;
        });
    }
    // Attach the handleCheckAll function to the "Check All" checkbox's click event
    document.getElementById("all_checked").addEventListener("click", handleCheckAll);

    $(document).ready(function() {
        $('#multi_delete').click(function() {
            var selectedIds = [];
            $('.checkbox:checked').each(function() {
                selectedIds.push($(this).data('id'));
            });
            if (selectedIds.length > 0) {
                $.ajax({
                    url: "{{ route('query.bulk-delete') }}",
                    type: "POST",
                    data: {
                        _token: "{{ csrf_token() }}",
                        ids: selectedIds
                    },
                    success: function(response) {
                        $('.success-message').html(
                            `<div class="alert alert-success mt-1">${response.message}</div>`
                        );
                        location.reload();
                    },
                    error: function(xhr, status, error) {
                        console.error(error);
                    }
                });
            } else {
                $('.success-message').html(
                    `<div class="alert alert-danger mt-1">Please select at least one record to delete.</div>`
                );
            }
        });
    });
</script>

<script>
    function ProductUpdateStatus(productId, status, elementObj) {
        var active_status = '';
        switch (status) {
            case 0:
                active_status = 'Draft';
                break;
            case 1:
                active_status = 'Public';
                break;
            case 2:
                active_status = 'Private';
                break;
            case 3:
                active_status = 'Trash';
                break;
        }

        $.ajax({
            url: '/admin/brands/' + productId + '/update-status',
            type: 'PUT',
            data: {
                active: status,
                _token: '{{ csrf_token() }}'
            },
            success: function(response) {
                showToast('success', 'Brand status updated successfully.');
                $(elementObj).parent().parent().parent().parent().parent().siblings('.active-status').text(
                    active_status);
                if (status == 3) {
                    window.location = '{{ route('Admin.Brand.Trash') }}';
                }
            },
            error: function(xhr, status, error) {
                var errorMessage = xhr.responseJSON && xhr.responseJSON.message ? xhr.responseJSON.message :
                    'Error occurred.';
                showToast('error', errorMessage);
            }
        });
    }
</script>
