@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\DiscountClass;
    $logged_in_user = Auth::user();
@endphp
<!-- Page Inner Start -->
<!--================================-->
<div class="page-inner">
    <!--================================-->
    <!-- Breadcrumb Start -->
    <!--================================-->
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Gift Cards List') }}</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin">
                        Dashboard</a>
                    <span class="breadcrumb-item active">Gift Cards List</span>
                </div>
            </div>
            <div class="d-flex align-items-center">
                <button type="button" onclick="window.location = '{{ url('/') }}/admin/gift-cards/create'"
                    class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                    <i data-feather="gift" class="wd-16 mr-2"></i>Create Gift Card</button>
                <button type="button" onclick="window.location = '{{ url('/') }}/admin/gift-cards/list/trash'"
                    class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                    <i data-feather="gift" class="wd-16 mr-2"></i>Expired List</button>
                <button type="button" onclick="window.location = '{{ url('/') }}/admin/gift-cards/list/trash'"
                    class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                    <i data-feather="gift" class="wd-16 mr-2"></i>Deleted List</button>
            </div>
        </div>
    </div>
    <!--/ Breadcrumb End -->
    <!--================================-->
    <!--================================-->
    <div class="col-md-12 col-lg-12 px-0">
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}</a>
            </div>
        @endif
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <div class="card mg-b-30">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <div>
                        <h6 class="card-header-title tx-13 mb-0">{{ __('Gift Cards List') }}</h6>
                    </div>
                </div>
            </div>
            <div class="card-body pd-0">
                <table id="data_Table" class="table hover responsive display nowrap" style=" width: 100% !important;">
                    <thead>
                        <tr>
                            <th width="25px">#</th>
                            <th>Title</th>
                            <th>Variant</th>
                            <th>Usage</th>
                            <th>Discount</th>
                            <th>Start Date</th>
                            <th>End Date</th>
                            <th>Status</th>
                             <th>Reason</th>
                            <th width="100px">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php $i = 1; @endphp
                        @foreach ($gift_cards as $gift_card)
                            <tr>
                                <td>{{ $i }}</td>
                                <td>
                                    {{ $gift_card->title }}
                                </td>
                                <td>
                                    @if ($gift_card->variant && $gift_card->variant == 'gift_card')
                                        Gift Card
                                    @elseif($gift_card->variant && $gift_card->variant == 'promotion')
                                        Promotion
                                    @elseif($gift_card->variant && $gift_card->variant == 'coupon')
                                        Coupon
                                    @endif
                                </td>
                                <td>
                                    <a class="product-title" target="_blank">
                                        @if ($gift_card->usage && $gift_card->usage == 'one_time')
                                            One Time
                                        @elseif ($gift_card->usage && $gift_card->usage == 'multiple_times')
                                            Multiple Times
                                        @else
                                            One Time Per User
                                        @endif
                                    </a>
                                </td>
                                <td>
                                    {{ $gift_card->discount ?? 'N/A' }}
                                </td>
                                <td>
                                    {{ $gift_card->start_date ?? 'N/A' }}
                                </td>
                                <td>
                                    {{ $gift_card->end_date ?? 'N/A' }}
                                </td>
                                <td class="active-status">{{ ucwords($gift_card->status) }}</td>
                                 <td>
                                    <div class="product-detail-cell">
                                        <a class="product-title"target="_blank">
                                            {{ $gift_card->reason }}
                                        </a>
                                    </div>
                                </td>
                                <td>
                                    @if ($gift_card->id)
                                        <form
                                            action="{{ route('gift-cards.destroy', ['gift_card' => $gift_card->id]) }}"
                                            method="POST">
                                            @csrf
                                            @method('DELETE')
                                            <div class="btn-group btn-group-sm" role="group" aria-label="...">
                                                <button type="button" class="btn btn-warning"
                                                    onclick="window.location='{{ route('gift-cards.edit', ['gift_card' => $gift_card->id]) }}'">Edit</button>
                                                <button class="btn btn-danger" type="submit"
                                                    onclick="return confirm('Are you sure? Card will permanently be deleted, suggestion is to make the Card status Draft or Private!')">Delete</button>
                                                <div class="btn-group" role="group">
                                                    <button id="btnGroupDrop1" type="button"
                                                        class="btn btn-secondary dropdown-toggle" data-toggle="dropdown"
                                                        aria-haspopup="true" aria-expanded="false">
                                                        Change Status
                                                    </button>
                                                    <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                                                        <a class="dropdown-item"
                                                            onclick="GiftCardUpdateStatus({{ $gift_card->id }}, 'active', this)">Active</a>
                                                        <a class="dropdown-item"
                                                            style="pointer-events: none;">Expire</a>
                                                        <a class="dropdown-item"
                                                            onclick="GiftCardUpdateStatus({{ $gift_card->id }}, 'deleted', this)">Deleted</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    @endif
                                </td>
                            </tr>
                            @php $i++; @endphp
                        @endforeach
                    </tbody>
                    <tfoot>
                        <tr>
                            <th width="25px">#</th>
                            <th>Title</th>
                            <th>Variant</th>
                            <th>Usage</th>
                            <th>Discount</th>
                            <th>Start Date</th>
                            <th>End Date</th>
                            <th>Status</th>
                            <th>Reason</th>
                            <th width="100px">Actions</th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
    <!--/  Order Active dataTable End -->
    <!--================================-->
</div>
<!--/ Page Inner End -->

<!--/ Reason Modal Starts -->
<div class="modal fade" id="reasonModal" tabindex="-1" role="dialog" aria-labelledby="reasonModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="reasonModalLabel">Write the Reason</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <label for="reason">Reason:</label>
                <textarea class="form-control" id="reason" rows="3"></textarea>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" id="saveReasonBtn">Save</button>
            </div>
        </div>
    </div>
</div>

<!--/ Reason Modal Ends -->

@include('Admin.Includes.footer')
<script>
    var card_id = 0;

    function GiftCardUpdateStatus(cardId, status, elementObj) {
        if (cardId != card_id) {
            $('#reasonModal').modal('show');
            $('#reason').val('');
        } else {
            $('#reasonModal').modal('show');
        }
        $('#saveReasonBtn').on('click', function() {
            var reason = $('#reason').val();
            $('#reasonModal').modal('hide');
            $.ajax({
                url: '/admin/gift-cards/' + cardId + '/update-status',
                type: 'PUT',
                data: {
                    status: status,
                    id: cardId,
                    reason: reason,
                    _token: '{{ csrf_token() }}'
                },
                success: function(response) {
                    showToast('success', 'status updated successfully.');
                    $(elementObj).parent().parent().parent().parent().parent().siblings(
                        '.active-status').text(
                        response.data);
                    if (response.data == 'deleted') {
                        window.location = '{{ route('Admin.gift_card.deleted') }}';
                    } else if (response.data == 'expired') {
                        window.location = '{{ route('Admin.gift_card.expired') }}';
                    } else if (response.data == 'active') {
                        window.location = '{{ url('/admin/gift-cards') }}';
                    }
                },
                error: function(xhr, status, error) {
                    var errorMessage = xhr.responseJSON && xhr.responseJSON.message ? xhr
                        .responseJSON.message :
                        'Error occurred.';
                    showToast('error', errorMessage);
                }
            });
        });
    }
</script>
