@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\DiscountClass;
    $logged_in_user = Auth::user();
@endphp
<!-- Page Inner Start -->
<!--================================-->
<div class="page-inner">
    <!--================================-->
    <!-- Breadcrumb Start -->
    <!--================================-->
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Gift Cards List') }}</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin">
                        Dashboard</a>
                    <span class="breadcrumb-item active">Gift Cards List</span>
                </div>
            </div>
            <div class="d-flex align-items-center">
                <button type="button" onclick="window.location = '{{ url('/') }}/admin/gift-cards'"
                    class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                    <i data-feather="gift" class="wd-16 mr-2"></i>Gift Cards</button>
            </div>
        </div>
    </div>
    <!--/ Breadcrumb End -->
    <!--================================-->
    <!--================================-->
    <div class="col-md-12 col-lg-12 px-0">
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}</a>
            </div>
        @endif
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <div class="card mg-b-30">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <div>
                        <h6 class="card-header-title tx-13 mb-0">{{ __('Purchased Cards List') }}</h6>
                    </div>
                </div>
            </div>
            <div class="card-body pd-0">
                <table id="data_Table" class="table hover responsive display nowrap" style=" width: 100% !important;">
                    <thead>
                        <tr>
                            <th width="25px">#</th>
                            <th>Card Title</th>
                            <th>User Name</th>
                            <th>User Email</th>
                            <th>User Phone</th>
                            <th>Purchasing Date</th>
                            <th>Expiry Date</th>
                            <th>Used</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php $i = 1; @endphp
                        @foreach ($gift_cards as $gift_card)
                            <tr>
                                <td>{{ $i }}</td>
                                <td>
                                    {{ $gift_card->card->title }}
                                </td>
                                <td>
                                    {{ $gift_card->customer_name ?? 'N/A' }}
                                </td>
                                <td>
                                    {{ $gift_card->customer_email ?? 'N/A' }}
                                </td>
                                <td>
                                    {{ $gift_card->customer_phone ?? 'N/A' }}
                                </td>
                                <td>
                                    {{ $gift_card->purchasing_date ?? 'N/A' }}
                                </td>
                                <td>
                                    {{ $gift_card->expiry_date ?? 'N/A' }}
                                </td>
                                <td>{{ $gift_card->used_times }} Times</td>
                            </tr>
                            @php $i++; @endphp
                        @endforeach
                    </tbody>
                    <tfoot>
                        <tr>
                            <th width="25px">#</th>
                            <th>Card Title</th>
                            <th>User Name</th>
                            <th>User Email</th>
                            <th>User Phone</th>
                            <th>Purchasing Date</th>
                            <th>Expiry Date</th>
                            <th>Used</th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
    <!--/  Order Active dataTable End -->
    <!--================================-->
</div>
<!--/ Page Inner End -->
@include('Admin.Includes.footer')
<script>
    function GiftCardUpdateStatus(cardId, status, elementObj) {
        $.ajax({
            url: '/admin/gift-cards/' + cardId + '/update-status',
            type: 'PUT',
            data: {
                status: status,
                id: cardId,
                _token: '{{ csrf_token() }}'
            },
            success: function(response) {
                showToast('success', 'status updated successfully.');
                $(elementObj).parent().parent().parent().parent().parent().siblings('.active-status').text(
                    response.data);
                if (response.data == 'deleted') {
                    window.location = '{{ route('Admin.gift_card.deleted') }}';
                } else if (response.data == 'expired') {
                    window.location = '{{ route('Admin.gift_card.expired') }}';
                } else if (response.data == 'active') {
                    window.location = '{{ url('/admin/gift-cards') }}';
                }
            },
            error: function(xhr, status, error) {
                var errorMessage = xhr.responseJSON && xhr.responseJSON.message ? xhr.responseJSON.message :
                    'Error occurred.';
                showToast('error', errorMessage);
            }
        });
    }
</script>
