@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\ProductClass;
    use App\General\UserClass;
    $logged_in_user = Auth::user();
    $GST_PERCENTAGE = config('app.PERCENTAGE') ?? 0;
@endphp
<style>
    /* Custom CSS styles for the widget */
    .membership-widget {
        border: 1px solid #ccc;
        padding: 5px;
        margin-bottom: 10px;
        border-radius: 5px;
    }

    .membership-info {
        display: flex;
        align-items: center;
        margin-bottom: 0 !important;
    }

    .membership-title {
        flex-grow: 1;
        margin-left: 14px;
    }
</style>
<!-- Page Inner Start -->
<div class="page-inner pd-0-force mg-0-force bg-white">
    <div class="row">
        <div class="col-md-7 px-0 pt-2">
            <form style="margin-left:30px" id="invoice_form">
                @csrf
                <div class="h4 row">
                    <div class="col-6">Create New Invoice</div>
                    <div class="col-6 text-right">#{{ $invoice->invoice_number }}</div>
                </div>
                <div class="customer-section">
                    <div class="form-group">
                        <label>Select Customer Type</label><br>
                        <label><input type="radio" name="customer_type" value="existing" checked required> Existing
                            Customer</label>
                        &nbsp;&nbsp;&nbsp;<label class="d-none"><input type="radio" name="customer_type"
                                value="random" required> Random Customer</label>
                    </div>
                    <div class="form-group" id="existing-customer-section">
                        <label for="exampleFormControlSelect1">Select Customer</label>
                        <select class="form-control form-control-sm select2-demo" name="customer" id="existingCustomerSelect"
                            required>

                            @if (count($users) > 0)
                                <option>Select Customer</option>
                                @foreach ($users as $user)
                                    @if (UserClass::check_role($user->role_id, $roles) == 'Customer')
                                        <option value="{{ $user->id }}">{{ $user->name }}</option>
                                    @endif
                                @endforeach
                            @else
                                <option>No Customer Found</option>
                            @endif
                        </select>
                        <div class="text-right mt-1">
                             @if (Session::has('permissions') && in_array('Add New Customer', Session::get('permissions')))
                            <span class="text-danger" data-toggle="modal" data-target="#add_customer_model"
                                style="cursor:pointer;">Add New Customer</span>
                                @endif
                        </div>
                    </div>
                    <div class="form-group" id="random-customer-section">
                        <label for="exampleFormControlSelect1">Customer Name</label>
                        <input type="text" class="form-control form-control-sm" name="customer" disabled
                            id="randomCustomerName">
                    </div>
                    <div class="form-group">
                        <label>Product Selection</label><br>
                        <label><input type="radio" name="product_scanning_type" value="barcode" checked> Barcode
                            Scanner</label>
                        &nbsp;&nbsp;&nbsp;<label><input type="radio" name="product_scanning_type" value="manual">
                            Mannual</label>
                    </div>
                    <div class="form-group manual_product_search">
                        <label for="exampleFormControlSelect1">Select Product</label>
                        <input type="search" class="form-control form-control-sm" disabled id="manual_product_details">
                        <div class="my-2 searched_product_Section"
                            style="max-height:150px !important;overflow-y:scroll;">

                        </div>
                    </div>
                </div>
                <div class="row mx-0 px-0">
                    <div class="col-6 px-0">
                        <label for="exampleFormControlSelect1">Product</label>
                    </div>
                    <div class="col-1 px-1">
                        <label for="exampleFormControlSelect1">Units</label>
                    </div>
                    <div class="col-2 px-1">
                        <label for="exampleFormControlSelect1">Price</label>
                    </div>
                    <div class="col-2 px-1">
                        <label for="exampleFormControlSelect1">Total</label>
                    </div>
                </div>
                <div class="product-section">

                </div>
                <div class="row mb-1 mx-0">
                    <div class="col-6 px-0 py-1 text-right">
                        <span style="font-weight:bold">Total Unites: &nbsp;</span>
                    </div>
                    <div class="col-1 px-0">
                        <input type="number" name="total_units" value="0" min="1"
                            class="form-control form-control-sm rounded-0 total_invoice_items" readonly>
                    </div>
                    <div class="col-2 px-0 py-1 text-right">
                        <span style="font-weight:bold">Sub Total($): &nbsp;</span>
                    </div>
                    <div class="col-3 px-0">
                        <input type="number" value="0" name="sub_total" readonly
                            class="form-control form-control-sm rounded-0 invoice_sub_total">
                    </div>

                </div>
                <div class="row mb-1 mx-0">
                    <div class="col-9 px-0 py-1 text-right">
                        <span style="font-weight:bold">Discount(%): &nbsp;</span>
                    </div>
                    <div class="col-3 px-0 pb-2 border-bottom">
                        <input type="number" value="0" name="discount" min="0" step="0.01"
                            class="form-control form-control-sm rounded-0 invoice_discount_amont">
                    </div>
                </div>
                <div class="row mb-1 mt-2 mx-0">
                    <div class="col-9 px-0 py-1 text-right">
                        <span style="font-weight:bold">Discounted Total($): &nbsp;</span>
                    </div>
                    <div class="col-3 px-0 pb-2 border-bottom">
                        <input type="number" value="0" min="0" name="discounted_amount" step="0.01"
                            class="form-control form-control-sm rounded-0 discounted_total_input" readonly>
                    </div>
                </div>
                <div class="row mb-1 mt-2 mx-0">
                    <div class="col-9 px-0 py-1 text-right">
                        <span style="font-weight:bold">Memberships: &nbsp;</span>
                    </div>
                    <div class="col-3 px-0 pb-2 border-bottom memberships_discount_section">
                        No Membership!
                    </div>

                </div>
                <div class="row mb-1 mx-0">
                    <div class="col-9 px-0 py-1 text-right">
                        <span style="font-weight:bold">Membership Discount($): &nbsp;</span>
                        <input type="hidden" name="plan_id" class="plan_id" value="0">
                    </div>
                    <div class="col-3 px-0">
                        <input type="number" value="0" name="membership_dicount" min="0"
                            step="0.01" class="form-control form-control-sm rounded-0 membership_discount"
                            readonly>
                    </div>
                </div>
                <div class="row mb-1 mx-0">
                    <div class="col-9 px-0 py-1 text-right">
                        <span style="font-weight:bold">Membership Discounted Value($): &nbsp;</span>
                    </div>
                    <div class="col-3 px-0">
                        <input type="number" value="0" name="membership_dicounted_total" min="0"
                            step="0.01" class="form-control form-control-sm rounded-0 membership_discounted_value"
                            readonly>
                    </div>
                </div>
                <div class="row mb-1 mx-0">
                    <div class="col-9 px-0 py-1 text-right">
                        <span style="font-weight:bold">GST ({{ $GST_PERCENTAGE }}%): &nbsp;</span>
                    </div>
                    <div class="col-3 px-0">
                        <input type="number" value="0" name="gst" min="0" step="0.01"
                            class="form-control form-control-sm rounded-0 gst_input" readonly>
                    </div>
                </div>
                <div class="row mb-1 mx-0">
                    <div class="col-9 px-0 py-1 text-right">
                        <span style="font-weight:bold">Grand Total ($): &nbsp;</span>
                    </div>
                    <div class="col-3 px-0">
                        <input type="number" value="0" name="grand_total" min="0" step="0.01"
                            class="form-control form-control-sm rounded-0 grand_total_input" readonly>
                    </div>
                </div>
                <div class="row my-3 mx-0">
                    <div class="col-4">
                        <label>Invoice Date: </label><input type="date" readonly name="invoice_date"
                            id="invoice_date" class="form-control form-control-sm"><br>
                        <label>Active Status: </label>
                        <select name="active" class="form-control form-control-sm" id="active_check" required>
                            <option value="0">Draft</option>
                            <option value="1">Public</option>
                        </select>
                    </div>
                    <div class="col-4">
                        <label>Invoice Due Date: </label><input type="date" name="due_date" id="due_date"
                            class="form-control form-control-sm">
                    </div>
                    <div class="col-4">
                        <label>Payment Status: </label><br>
                        <div class="text-right">
                            <label><input type="radio" name="payment_status" value="Un-Paid"> Un-Paid </label>
                            &nbsp;&nbsp;&nbsp;
                            <label><input type="radio" name="payment_status" value="Paid" checked> Paid </label>
                        </div>

                        <label>Payment Method: </label><br>
                        <div class="text-right">
                            <label><input type="radio" name="payment_method" value="Bank Transfer"> Bank Transfer
                            </label>&nbsp;&nbsp;&nbsp;
                            <label><input type="radio" name="payment_method" value="Cash" checked> Cash </label>
                        </div>
                        <label>Payment Details or Note (Optional): </label>
                        <input type="text" class="form-control form-control-sm" name="payment_id"
                            placeholder="Reference: #NBS-123SDNA231">
                    </div>
                </div>

                <hr>
                <div class="text-right mg-y-20">
                    @if (Session::has('permissions') && in_array('Cancel Invoice', Session::get('permissions')))
                    <button type="button" class="btn btn-danger mg-t-5 destroy-invoice"
                        action-url="{{ route('invoices.destroy', $invoice->id) }}">Cancel</button>
                        @endif
                     @if (Session::has('permissions') && in_array('Save Invoice', Session::get('permissions')))
                    <button type="submit" class="btn btn-success mg-t-5" id="submit_button">Save Changes</button>
                    @endif
                    <div class="alert alert-warning d-none" id="public_note">This Invoice is Public, you cannot make
                        changes to the Invoice but you can print Invoice 😃, <a
                            href="{{ url('/') }}/admin/invoices/create">Create New Invoice</a></div>
                </div>
            </form>
        </div>
        <div class="col-md-5">
            <!--================================-->
            <div class="card pd-10 wd-100p m-auto invoice_Area" style="zoom:70%">
                @php print($Invoice_review); @endphp
            </div>
            <div class="text-right mt-4 mx-2">
               @if (Session::has('permissions') && in_array('Print Invoice', Session::get('permissions')))
                <button type="button" class="btn btn-warning mg-t-5" onclick="printInvoice();"><i
                        class="fa fa-print"></i> Print Invoice</button>
                        @endif
            </div>
            <!--/ Invoice End -->
        </div>
    </div>
</div>

<!--/ Page Inner End -->
<div class="modal fade" id="add_customer_model" data-backdrop="static" data-keyboard="false" tabindex="-1"
    aria-labelledby="add_customer_modelLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="add_customer_modelpLabel">Add New Customer</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="create_user_account">
                    @csrf
                    <input type="hidden" name="created_by" value="{{ $logged_in_user->id }}">
                    <div class="form-layout form-layout-1">
                        <h4>Account Info</h4>
                        <div class="row mg-b-25">
                            <div class="col-lg-4">
                                <div class="form-group">
                                    <label class="form-control-label active">User Name: <span
                                            class="tx-danger">*</span></label>
                                    <input class="form-control" type="text" name="name"
                                        placeholder="Enter User Name" required>
                                </div>
                            </div>
                            <!-- col-4 -->
                            <div class="col-lg-4">
                                <div class="form-group">
                                    <label class="form-control-label active">User Email: <span
                                            class="tx-danger">*</span></label>
                                    <input class="form-control" type="email" name="email"
                                        placeholder="Enter email address" required>
                                </div>
                            </div>
                            <!-- col-4 -->
                            <div class="col-lg-4">
                                <div class="form-group">
                                    <label class="form-control-label">User Password: <span
                                            class="tx-danger">*</span></label>
                                    <input class="form-control" type="password" name="password"
                                        placeholder="Enter Password" required>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="form-group">
                                    <label class="form-control-label">User Phone: <span
                                            class="tx-danger">*</span></label>
                                    <input class="form-control" type="tel" name="phone"
                                        placeholder="Enter Phone Number" required>
                                </div>
                            </div>
                            <!-- col-4 -->
                            <div class="col-lg-4">
                                <div class="form-group">
                                    <label class="form-control-label">User Role: <span
                                            class="tx-danger">*</span></label>
                                    <select class="form-control" required name="role_id"
                                        data-placeholder="Select User Role" tabindex="-1" aria-hidden="true">
                                        <option label="Choose User Role" value=""></option>
                                        @foreach ($roles as $role)
                                            @if ($role->id == 1)
                                                @if ($logged_in_user->role_id == 1)
                                                    <option value="{{ $role->id }}"
                                                        @if ($role->title == 'Customer') selected @endif>
                                                        {{ $role->title }}</option>
                                                @endif
                                            @elseif($role->id != 1)
                                                <option value="{{ $role->id }}"
                                                    @if ($role->title == 'Customer') selected @endif>
                                                    {{ $role->title }}</option>
                                            @endif
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <!-- col-4 -->
                        </div>
                        <hr>
                        <h4>Business Info</h4>
                        <div class="row mg-b-25">
                            <div class="col-lg-4">
                                <div class="form-group">
                                    <label class="form-control-label active">Business Name:</label>
                                    <input class="form-control" type="text" name="_b_name"
                                        placeholder="WareHub Inc">
                                </div>
                            </div>
                            <!-- col-4 -->
                            <div class="col-lg-4">
                                <div class="form-group">
                                    <label class="form-control-label active">Business Email:</label>
                                    <input class="form-control" type="email" name="_b_email"
                                        placeholder="stock@business.com.au">
                                </div>
                            </div>
                            <!-- col-4 -->
                            <div class="col-lg-4">
                                <div class="form-group">
                                    <label class="form-control-label">Business Phone:</label>
                                    <input class="form-control" type="tel" name="_b_number"
                                        placeholder="6123456789">
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <label class="form-control-label">Business Street Address: <span
                                            class="tx-danger"></span></label>
                                    <input class="form-control address-input" type="address" name="_b_street_address"
                                        placeholder="123 Main Street, Sydney, NSW 2000">
                                           <div class="suggestions" style="background:white;"></div>
                                             <div class="details"></div>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <label class="form-control-label">Business Area: <span
                                            class="tx-danger"></span></label>
                                    <input class="form-control address-input" type="address" name="_b_area_address"
                                        placeholder="Sydney, Australia">
                                           <div class="suggestions" style="background:white;"></div>
                                             <div class="details"></div>
                                </div>
                            </div>
                        </div>

                        <!-- row -->
                        <div class="form-layout-footer">
                            <hr>
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" name="confirmation_email_sending"
                                    id="customCheck2">
                                <label class="custom-control-label" for="customCheck2"> Would you like to send login
                                    details email to user?</label>
                            </div>
                            <hr>
                            <button class="btn btn-primary" type="submit">Submit Form</button>
                            <div class="response_section"></div>
                        </div>
                        <!-- form-layout-footer -->
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@include('Admin.Includes.footer')
<script>
    $('#create_user_account').on('submit', function(e) {
        e.preventDefault();
        $('.response_section').html(`<div class="alert alert-info mt-1">Processing...</div>`);
        var formData = $(this).serialize();
        $.ajax({
            url: "{{ route('users.store') }}",
            type: "POST",
            data: formData,
            success: function(response) {
                switch (response.status) {
                    case 200:
                        $('.response_section').html(
                            `<div class="alert alert-success mt-1">${response.message}</div>`);
                        $('input[name=password_confirmation], input[name=password], input[name=name], input[name=phone],input[name=_b_name],input[name=_b_email],input[name=_b_number],input[name=_b_street_address],input[name=_b_area_address]')
                            .val('');
                        var customerSelect = $('#existingCustomerSelect');
                        customerSelect.empty();

                        // Iterate over the customers and create options
                        $.each(response.customers, function(index, customer) {
                            var option = $('<option>', {
                                value: customer
                                    .id, // Set the value to the customer's ID
                                text: customer
                                    .name // Set the text to the customer's name (you can change this to any property you want)
                            });

                            // Append the option to the select field
                            customerSelect.append(option);
                        });
                        setTimeout(function() {
                            $('#add_customer_model').modal('hide');
                        }, 5000);

                        break;
                    case 500:
                        $('.response_section').html(
                            `<div class="alert alert-danger mt-1">${response.message}</div>`);
                        break;
                }
            },
            error: function(xhr, status, error) {
                // handle error response
                if (xhr.status == 422) {
                    let errors = xhr.responseJSON.errors;
                    let errorList = '<ul>';
                    for (let field in errors) {
                        errorList += '<li>' + errors[field][0] + '</li>';
                    }
                    errorList += '</ul>';
                    $('.response_section').html('<div class="alert alert-danger mt-1">' +
                        errorList + '</div>');
                } else {
                    $('.response_section').html(
                        '<div class="alert alert-danger mt-1">Server Error, Try Again Later!</div>'
                    );
                }
            }
        });
    });
    $(document).ready(function() {
        var currentDate = new Date().toISOString().split('T')[0];
        document.getElementById('invoice_date').value = currentDate;
        document.getElementById('due_date').value = currentDate;

        $('#random-customer-section').hide();
        $('.manual_product_search').hide();
        $('input[name="customer_type"]').change(function() {
            if ($(this).val() === 'existing') {
                $('#random-customer-section').hide();
                $('#randomCustomerName').prop('disabled', true);
                $('#existingCustomerSelect').prop('disabled', false);
                $('#existing-customer-section').fadeIn();
            } else if ($(this).val() === 'random') {
                $('#existing-customer-section').hide();
                $('#existingCustomerSelect').prop('disabled', true);
                $('#randomCustomerName').prop('disabled', false);
                $('#random-customer-section').fadeIn();
            }
        });
        $('input[name="product_scanning_type"]').change(function() {
            if ($(this).val() === 'barcode') {
                $('.manual_product_search').hide();
                $('#manual_product_details').prop('disabled', true);
            } else if ($(this).val() === 'manual') {
                $('.manual_product_search').fadeIn();
                $('#manual_product_details').prop('disabled', false);
            }
        });
        $('.product_quantity_input').change(function() {
            $current_quantity = $(this).val();
            $current_price = $(this).parent().siblings('.price_section').children(
                '.product_price_input').val();
            $(this).val(parseFloat($current_quantity) * parseFloat($current_price));
        });
        $('#existingCustomerSelect').change(function() {
            $('.plan_id').val(0);
            $('.membership_discount').val(0);
            var discounted_amount = $('.discounted_total_input').val();
            $('.membership_discounted_value').val(discounted_amount);
            GST_Calculate();

            var customer_id = $(this).val();
            $('.memberships_discount_section').html('');
            $('.memberships_discount_section').hide();
            $.ajax({
                url: '/admin/memberships/plans/subscriber?customer_id=' + customer_id,
                type: 'GET',
                data: {
                    '_token': '{{ csrf_token() }}'
                },
                success: function(response) {

                    if (response.plans.length > 0) {
                        $('.memberships_discount_section').show();
                        for (var i = 0; i <= response.plans.length; i++) {
                            $('.memberships_discount_section').append(`
                                    <div class="membership-widget" onclick="calculate_member_ship_dicount(${response.plans[i].discount_percentage})">
                                        <label class="membership-info">
                                            <input type="radio" name="membership_discount_percentage" plan_id="${response.plans[i].plan_id}" class="member_check" value="${response.plans[i].discount_percentage}">
                                            <div class="membership-title">
                                                <div class="my-0" style="line-height: 100%;"><strong class="my-0">${response.plans[i].plan_name}</strong></div>
                                            </div>
                                            <div class="membership-percentage">
                                                <span>${response.plans[i].discount_percentage}%</span>
                                            </div>
                                        </label>
                                    </div>
                                `);
                        }
                        $('.memberships_discount_section').append(
                            `<div class="text-right text-danger"><span onclick="clear_membership()">Clear Membership Discount</span></div>`
                        );
                    }


                },
                error: function(xhr, textStatus, errorThrown) {
                    alert('Error Fetching Plans: ' + errorThrown);
                }
            });
        });
    });
</script>
<script>
    $(function() {
        $('.select2-demo').each(function() {
            $(this)
                .wrap('<div class="position-relative"></div>')
                .select2({
                    placeholder: 'Select value',
                    dropdownParent: $(this).parent()
                });
        })
    });
    document.addEventListener('DOMContentLoaded', function() {
        const searchInput = document.getElementById('manual_product_details');
        const resultsSection = document.querySelector('.searched_product_Section');

        searchInput.addEventListener('input', function() {
            const search_query = searchInput.value.trim();

            if (search_query === '') {
                resultsSection.innerHTML = ''; // Clear results
                return;
            }

            // Make AJAX request
            fetch(`/admin/invoices/products/search?query=${search_query}`)
                .then(response => response.json())
                .then(data => {
                    const products = data.products;
                    resultsSection.innerHTML = ''; // Clear previous results

                    products.forEach(product => {
                        const productHtml = `
                        <div class="product-detail-cell" onclick="add_to_invoice_method(${product.id})">
                            <div class="product-detail-cell">
                                <div class="back_image_icon mr-2" style="background: url({{ url('/') }}/${product.featured_image}); background-size: contain; background-position: center; height: 35px; width: 35px;"></div>
                                <a class="product-title" target="_blank">${product.title}</a>
                            </div>
                            <div class="product-title sku" style="width: 100px;">${product.sku}</div>
                            </div>
                        `;
                        resultsSection.insertAdjacentHTML('beforeend', productHtml);
                    });
                })
                .catch(error => console.error('Error fetching search results:', error));
        });
    });

    function add_to_invoice_method(product_id) {
        if ($('.invoie_item_number_' + product_id).length > 0) {
            var current_quantity = parseFloat($('.invoie_item_number_' + product_id).val()) + 1;
            $('.invoie_item_number_' + product_id).val(current_quantity)
            var current_price = $('.invoie_item_number_' + product_id).parent().siblings('.price_section').children(
                '.product_price_input').val();
            $('.invoie_item_number_' + product_id).parent().siblings('.item_total_section').children(
                '.product_item_total').val(parseFloat(current_quantity) * parseFloat(current_price));
            count_total_items();
        } else {
            fetch(`/admin/invoices/products/select?product_id=${product_id}`)
                .then(response => response.json())
                .then(data => {
                    
                    $(`[remove_it=${product_id}]`).remove();
                    
                    $('.product-section').append(`
                    <div class="row mb-1 mx-0 invoice-item" remove_it="${product_id}">
                        <div class="col-6 px-0">
                        <input type="hidden" name="product_id[]" value="${product_id}">
                                <input type="text" name="product_name[]" class="form-control form-control-sm" value="${data.product.title}" readonly>
                        </div>
                        <div class="col-1 px-0">
                                <input type="number" name="units[]" value="1" min="1" class="form-control form-control-sm rounded-0 product_quantity_input invoie_item_number_${product_id}" onchange="quanity_change_product(this)">
                        </div>
                        <div class="col-2 px-0 price_section">
                                <input type="number" name="unit_price[]" readonly class="form-control form-control-sm rounded-0 product_price_input" value="${parseFloat(data.meta.value)}"">
                        </div>
                        <div class="col-2 px-0 item_total_section">
                                <input type="number" name="unit_total_price[]" value="${parseFloat(data.meta.value)}" readonly class="form-control form-control-sm rounded-0 product_item_total">
                        </div>
                        <div class="col-1 px-0 text-right">
                                <button class="btn badge" style="margin-top:3px" type="button" onclick="remove_invoice_item(this)">
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x-circle"><circle cx="12" cy="12" r="10"></circle><line x1="15" y1="9" x2="9" y2="15"></line><line x1="9" y1="9" x2="15" y2="15"></line></svg>
                        </div>
                    </div>
                `);
                    play_beep();
                    count_total_items();
                })
                .catch(error => console.error('Error fetching search results:', error));
        }
    }

    function quanity_change_product(row_obj) {
        var current_quantity = $(row_obj).val();
        var current_price = $(row_obj).parent().siblings('.price_section').children('.product_price_input').val();
        $(row_obj).parent().siblings('.item_total_section').children('.product_item_total').val(parseFloat(
            current_quantity) * parseFloat(current_price));
        count_total_items();
    }

    function remove_invoice_item(row_obj) {
        $(row_obj).parent().parent().remove();
        count_total_items();
    }

    function count_total_items() {
        var sum = 0;

        $('.product_quantity_input').each(function() {
            var value = parseFloat($(this).val());
            if (!isNaN(value)) {
                sum += value;
            }
        });
        $('.total_invoice_items').val(sum);
        sum_subtotal();
    }

    function sum_subtotal() {
        var sum = 0;

        $('.product_item_total').each(function() {
            var value = parseFloat($(this).val());
            if (!isNaN(value)) {
                sum += value;
            }
        });
        $('.invoice_sub_total').val(sum);
        calculate_dicount();

        GST_Calculate();
        if ($('.member_check:checked').length > 0) {

            calculate_member_ship_dicount($('.member_check:checked').val());
        }

    }

    function play_beep() {
        var beepSound = document.getElementById("beepSound");
        beepSound.play();
    }

    function calculate_dicount() {
        var current_sub_total = $('.invoice_sub_total').val();
        var discount = $('.invoice_discount_amont').val();

        var discount_amount = (parseFloat(current_sub_total) / 100) * parseFloat(discount);
        var discounted_total = current_sub_total - discount_amount;
        $('.discounted_total_input').val(discounted_total);
        GST_Calculate();
        if ($('.member_check:checked').length > 0) {

            calculate_member_ship_dicount($('.member_check:checked').val());
        }
    }
    $('.invoice_discount_amont').change(function() {
        calculate_dicount();
    });

    function calculate_member_ship_dicount(discount_value) {
        $('.plan_id').val($('.member_check:checked').attr('plan_id'));
        var discounted_amount = $('.discounted_total_input').val();
        var member_ship_discount = (parseFloat(discounted_amount) / 100) * parseFloat(discount_value);
        $('.membership_discount').val(member_ship_discount);
        $('.membership_discounted_value').val(parseFloat(discounted_amount) - member_ship_discount);
        var GST = (parseFloat(parseFloat(discounted_amount) - member_ship_discount) / 100) * parseFloat(
            '{{ $GST_PERCENTAGE }}');
        $('.gst_input').val(GST);
        Grand_Total();
    }

    function GST_Calculate() {
        var discounted_amount = $('.discounted_total_input').val();
        $('.membership_discounted_value').val(discounted_amount);
        var GST = (parseFloat(discounted_amount) / 100) * parseFloat('{{ $GST_PERCENTAGE }}');
        $('.gst_input').val(GST);
        Grand_Total();
    }

    function Grand_Total() {
        var discounted_amount = $('.membership_discounted_value').val();
        var GST_amount = $('.gst_input').val();
        $('.grand_total_input').val(parseFloat(discounted_amount) + parseFloat(GST_amount));

    }
    $('.destroy-invoice').click(function() {
        let action_url = $(this).attr('action-url');
        if (confirm("Are you sure you want to delete this invoice?")) {
            $.ajax({
                url: action_url,
                type: 'DELETE',
                data: {
                    '_token': '{{ csrf_token() }}'
                },
                success: function(response) {
                    alert('Invoice deleted successfully');
                    window.location.href = '/admin/invoices';
                },
                error: function(xhr, textStatus, errorThrown) {
                    alert('Error deleting invoice: ' + errorThrown);
                }
            });
        }
    });

    $('#invoice_form').submit(function(event) {
        event.preventDefault();
        if ($('.invoice-item').length == 0) {
            alert('Please add a product in Invoice to save changes.');
        } else {

            var formData = $(this).serialize();
            var invoiceId = '{{ $invoice->id }}';
            if ($("#active_check").val() == 1) {
                if (confirm(
                        "Are you sure you want to make a public invoice, because it will update store stock and you cannot make changes anymore?"
                    )) {
                    $.ajax({
                        url: '{{ route('invoices.update', ['invoice' => ':invoiceId']) }}'.replace(
                            ':invoiceId', invoiceId),
                        type: 'PUT',
                        data: formData,

                        success: function(response) {
                            $('.invoice_Area').html(response.invoice_review);
                            $("#invoice_form :input").prop("disabled", true);
                            $('.destroy-invoice, #submit_button').fadeOut();
                            $('#public_note').removeClass('d-none');
                            alert('Invoice saved successfully');
                        },
                        error: function(xhr, textStatus, errorThrown) {
                            alert('Error saving invoice: ' + errorThrown);
                        }
                    });
                }
            } else {
                $.ajax({
                    url: '{{ route('invoices.update', ['invoice' => ':invoiceId']) }}'.replace(
                        ':invoiceId', invoiceId),
                    type: 'PUT',
                    data: formData,

                    success: function(response) {
                        $('.invoice_Area').html(response.invoice_review);
                        $('.destroy-invoice').fadeOut();
                        alert('Invoice saved successfully');
                    },
                    error: function(xhr, textStatus, errorThrown) {
                        alert('Error saving invoice: ' + errorThrown);
                    }
                });
            }


        }
    });

    function printInvoice() {
        var invoiceArea = document.querySelector('.invoice_Area');
        var printWindow = window.open('', '', 'width=1200,height=720');

        printWindow.document.open();
        printWindow.document.write(
            '<html><head><title>Print Invoice - {{ $invoice->invoice_number }}</title><link href="{{ url('/') }}/AdminAssets/assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet"></head><body>'
        );
        printWindow.document.write('<div class="invoice_Area">' + invoiceArea.innerHTML + '</div>');
        printWindow.document.write('</body></html>');
        printWindow.document.close();

        printWindow.print();
    }
</script>


<audio id="beepSound" preload="auto">
    <source src="{{ url('/') }}/sounds/beep.wav" type="audio/mpeg">
</audio>
