@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    $logged_in_user = Auth::user();
@endphp
<!-- Page Inner Start -->
<!--================================-->
<div class="page-inner">
    <!--================================-->
    <!-- Breadcrumb Start -->
    <!--================================-->
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Create Membership Plan') }}</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin"><i class="icon ion-ios-home-outline"></i>
                        Dashboard</a>
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin/memberships">Membership Plans</a>
                    <span class="breadcrumb-item active">Create</span>
                </div>
            </div>
             @if (Session::has('permissions') && in_array('Plans List', Session::get('permissions')))
            <div class="d-flex align-items-center">
                <button type="button" onclick="window.location = '{{ url('/') }}/admin/memberships'"
                    class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                    <i data-feather="user-check" class="wd-16 mr-2"></i>Plans List</button>
            </div>
        @endif
        </div>
    </div>
    <!--/ Breadcrumb End -->
    <div class="col-md-12 col-lg-12 px-0">
        @if (session('success'))
            <div class="alert alert-success my-2">
                {{ session('success') }}
            </div>
        @endif
        @if ($errors->any())
            <div class="alert alert-danger my-2">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <div class="card mg-b-30">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <div>
                        <h6 class="card-header-title tx-13 mb-0">{{ __('Plan Details') }}</h6>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <form method="POST" action="{{ route('memberships.store') }}" class="row">
                    @csrf
                    <div class="col-md-12 form-group">
                        <label for="membershipName">Plan Name:</label>
                        <input type="text" class="form-control" id="membershipName" name="membershipName"
                            placeholder="Enter membership name" required>
                    </div>
                    <div class="col-md-3 form-group">
                        <label for="discountPercentage">Discount Percentage:</label>
                        <input type="number" class="form-control" id="discountPercentage" name="discountPercentage"
                            placeholder="Enter discount percentage" required>
                    </div>
                    <div class="col-md-3 form-group">
                        <label for="duration">Duration (in days):</label>
                        <select class="form-control" id="duration" name="duration" required>
                            <option value="">Select Duration</option>
                            <option value="3">3 Days</option>
                            <option value="7">Weekly</option>
                            <option value="15">15 Days</option>
                            <option value="30">30 Days</option>
                            <option value="45">45 Days</option>
                            <option value="60">2 Months</option>
                            <option value="90">3 Months</option>
                            <option value="180">6 Months</option>
                            <option value="365">1 Year</option>
                            <option value="Un-Limited">Un-Limited</option>
                        </select>
                    </div>
                    <div class="col-md-3 form-group">
                        <label for="price">Price:</label>
                        <input type="number" class="form-control" id="price" name="price"
                            placeholder="Enter price" required>
                    </div>
                    <div class="col-md-3 form-group">
                        <label for="badge">Badge Text:</label>
                        <input type="text" class="form-control" id="badge" name="badge" placeholder="Premium">
                    </div>
                    <div class="col-md-12 form-group">
                        <label for="description">Description:</label>
                        <textarea class="form-control" id="description" name="description" placeholder="Description...."></textarea>
                    </div>
                    <button type="submit" class="btn btn-primary mx-3">Create Plan</button>
                </form>
            </div>
        </div>
    </div>
</div>
<!--/ Page Inner End -->
@include('Admin.Includes.footer')
<script></script>
