@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    $logged_in_user = Auth::user();
@endphp
            <!-- Page Inner Start -->
            <!--================================-->
            <div class="page-inner">
               <!--================================-->
               <!-- Breadcrumb Start -->
               <!--================================-->
               <div class="pageheader pd-t-25 pd-b-35">
                  <div class="d-flex justify-content-between">
                     <div class="clearfix">
                        <div class="pd-t-5 pd-b-5">
                           <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Update Membership Plan') }}</h1>
                        </div>
                        <div class="breadcrumb pd-0 mg-0">
                           <a class="breadcrumb-item" href="{{url('/')}}/admin"><i class="icon ion-ios-home-outline"></i> Dashboard</a>
                           <a class="breadcrumb-item" href="{{url('/')}}/admin/memberships">Membership Plans</a>
                           <span class="breadcrumb-item active">Edit</span>
                        </div>
                     </div>
                      @if (Session::has('permissions') && (in_array('Plans List', Session::get('permissions'))  ||in_array('Create a Plan', Session::get('permissions'))))
                     <div class="d-flex align-items-center">
                       @if (Session::has('permissions') && in_array('Plans List', Session::get('permissions')))
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/memberships'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="user-check" class="wd-16 mr-2"></i>Plans List</button>
                       @endif
                       @if (Session::has('permissions') && in_array('Create a Plan', Session::get('permissions')))
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/memberships/create'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="user-check" class="wd-16 mr-2"></i>Create Plan</button>
                    @endif
                     </div>
                 @endif
                  </div>
               </div>
               <!--/ Breadcrumb End -->
               <div class="col-md-12 col-lg-12 px-0">
                  <div class="card mg-b-30">
                    <div class="card-header">
                        <div class="d-flex justify-content-between align-items-center">
                            <div>
                            <h6 class="card-header-title tx-13 mb-0">{{ __('Plan Details') }}</h6>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="POST" action="{{ route('memberships.update', ['membership' => $membership->id]) }}" class="row">
                            @csrf
                            @method('PATCH') <!-- Use the PATCH method for updates -->

                            <div class="col-md-12 form-group">
                                <label for="membershipName">Plan Name:</label>
                                <input type="text" class="form-control" id="membershipName" name="membershipName" value="{{ old('membershipName', $membership->plan_name) }}" placeholder="Enter membership name" required>
                            </div>
                            <div class="col-md-3 form-group">
                                <label for="discountPercentage">Discount Percentage:</label>
                                <input type="number" class="form-control" id="discountPercentage" name="discountPercentage" value="{{ old('discountPercentage', $membership->discount_percentage) }}" placeholder="Enter discount percentage" required>
                            </div>
                            <div class="col-md-3 form-group">
                                <label for="duration">Duration (in days):</label>
                                <select class="form-control" id="duration" name="duration" required>
                                    <option>Select Duration</option>
                                    <option value="3" {{ old('duration', $membership->duration) === '3' ? 'selected' : '' }}>3 Days</option>
                                    <option value="7" {{ old('duration', $membership->duration) === '7' ? 'selected' : '' }}>Weekly</option>
                                    <option value="15" {{ old('duration', $membership->duration) === '15' ? 'selected' : '' }}>15 Days</option>
                                    <option value="30" {{ old('duration', $membership->duration) === '30' ? 'selected' : '' }}>30 Days</option>
                                    <option value="45" {{ old('duration', $membership->duration) === '45' ? 'selected' : '' }}>45 Days</option>
                                    <option value="60" {{ old('duration', $membership->duration) === '60' ? 'selected' : '' }}>2 Months</option>
                                    <option value="90" {{ old('duration', $membership->duration) === '90' ? 'selected' : '' }}>3 Months</option>
                                    <option value="180" {{ old('duration', $membership->duration) === '180' ? 'selected' : '' }}>6 Months</option>
                                    <option value="365" {{ old('duration', $membership->duration) === '365' ? 'selected' : '' }}>1 Year</option>
                                    <option value="Un-Limited" {{ old('duration', $membership->duration) === 'Un-Limited' ? 'selected' : '' }}>Un-Limited</option>
                                </select>
                            </div>
                            <div class="col-md-3 form-group">
                                <label for="price">Price:</label>
                                <input type="number" class="form-control" id="price" name="price" value="{{ old('price', $membership->price) }}" placeholder="Enter price" required>
                            </div>
                            <div class="col-md-3 form-group">
                                <label for="badge">Badge Text:</label>
                                <input type="text" class="form-control" id="badge" name="badge" value="{{ old('badge', $membership->badge_text) }}" placeholder="Premium">
                            </div>
                            <div class="col-md-12 form-group">
                                <label for="description">Description:</label>
                                <textarea class="form-control" id="description" name="description" placeholder="Description....">{{ old('description', $membership->description) }}</textarea>
                            </div>
                            <button type="submit" class="btn btn-primary mx-3">Update Plan</button>
                        </form>
                        @if(session('success'))
                            <div class="alert alert-success mt-2">
                                {{ session('success') }}
                            </div>
                        @endif
                        @if ($errors->any())
                            <div class="alert alert-danger mt-2">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                    </div>
                  </div>
               </div>
            </div>
            <!--/ Page Inner End -->
            


            
@include('Admin.Includes.footer')
<script>

</script>
