@include('Admin.Includes.header')

@php
    use App\General\UserClass;
@endphp
<style>
    .c-art-item {
        background: white;
        border-radius: 8px;
        display: flex;
        justify-content: flex-start;
        align-items: center;
    }

    .item-media {
        height: 50px;
        width: 50px;
        border-radius: 6px;
        background-position: center !important;
        background-size: 70% auto !important;
        background-repeat: no-repeat !important;
        margin-right: 6px;
    }

    .remove-return-product {
        border: none;
        outline: none;
        background-color: black;
        color: white;
        padding: 3px;
        font-size: 12px;
        line-height: 110%;
        border-radius: 4px;
    }

    .cart-cells {
        vertical-align: middle !important;
    }

    .cart-product-title {
        line-height: 100%;
    }

    .cart-total-section {
        border: 1px solid #F2F2F2;
    }

    .cart-total-section-header {
        background: #F2F2F2;
        color: black;
        font-size: 14px;
        padding: 8px;
        font-weight: 700;
    }

    .border-top-orange {
        border-top: 1px solid #F2F2F2 !important;
    }

    .processing-div {
        width: 100%;
        background: lightblue;
        display: none;
        font-size: 14px;
        font-weight: 500;
        color: black;
    }

    @media (max-width: 768px) {
        .cart-cross-icon {
            position: relative;
            top: 2px;
            left: 0px;
        }

        .counter-section {
            width: 90px !important;
        }

        .item-media {
            width: 100px;
        }
    }

    @media (max-width: 425px) {
        .cart-cross-icon {
            position: relative;
            top: 2px;
            left: 0px;
        }

        .counter-section {
            width: 90px;
        }

        .item-media {
            width: 100px;
        }
    }

    @media (max-width: 419px) {
        .cart-cross-icon {
            position: relative;
            top: 2px;
            left: 0px;
        }

        .counter-section {
            width: 90px;
        }

        .item-media {
            width: 100px;
        }
    }
</style>
    <div class="page-inner">
        <div class="pageheader pd-t-25 pd-b-35">
            <div class="d-flex justify-content-between">
                <div class="clearfix">
                    <div class="pd-t-5 pd-b-5">
                        <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Serach  Order Invoice') }}</h1>
                    </div>
                    <div class="breadcrumb pd-0 mg-0">
                        <a class="breadcrumb-item" href="{{ url('/') }}/admin"><i class="icon ion-ios-home-outline"></i>
                            Dashboard</a>
                        <a class="breadcrumb-item" href="{{ url('/') }}/admin/users">Order</a>
                        <span class="breadcrumb-item active">Serach</span>
                    </div>
                </div>
             
       
            </div>
        </div>
    </div>
<div class="text-center p-2">
    <form action="{{ route('Website.Return.Order.Details') }}" method="post">
        @csrf
        <div class="input-group">
            <button type="submit" class="btn btn-dark">Search</button>
            <input type="text" class="form-control" name="invoice_number" id="order_id" value="<?php echo !empty($order->invoice_number) ? $order->invoice_number : ''; ?>"
                placeholder="Invoice Number">
        </div>
    </form>
</div>

@if (!empty($order))
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="processing-div alert alert-info p-2">Processing...</div>
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}</a>
            </div>
        @endif
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <div class="container-fluid" id="print-container">
            <input type="hidden" name="order_id" id="order_id" value="{{ $order->invoice_number }}">
            <div class="row justify-content-between ">
                <div class="col-md-4">
                    <h5>Order Details</h5>
                </div>
                <div class="col-md-4 d-flex">
                    <p> Placed On: </p>&nbsp;&nbsp;
                    <p><b>{{ $order->created_at }}</b></p>
                </div>
                <div class="col-md-4 d-flex">
                    <p> Status: </p>&nbsp;&nbsp;
                    @if ($order->status == 'pending')
                        <p style="color: blue;"><b>{{ ucwords($order->status) }}</b></p>
                    @elseif ($order->status == 'inProcess')
                        <p style="color: orange;"><b>{{ ucwords($order->status) }}</b></p>
                    @elseif ($order->status == 'completed')
                        <p style="color: green;"><b>{{ ucwords($order->status) }}</b></p>
                    @else
                        <p style="color: red;"><b>{{ ucwords($order->status) }}</b></p>
                    @endif
                </div>
            </div>
            <div class="row">
                <input type="hidden" id="auth_discount_percentage" value="{{ $order->auth_discount_per }}">
                <div class="col-md-8" style="overflow:auto;">
                    <div class="row mb-3">
                        <div class="col-md-6">
                            <div class="cart-total-section">
                                <div class="cart-total-section-header">Billing Address</div>
                                <div class="row m-3">
                                    <div class="col-3">
                                        Name
                                    </div>
                                    <div class="col-9">
                                        {{ $order->f_name }} {{ $order->l_name }}
                                    </div>
                                    <hr>
                                    <div class="col-3">
                                        Email
                                    </div>
                                    <div class="col-9">
                                        {{ $order->email }}
                                    </div>
                                    <hr>
                                    <div class="col-3">
                                        Phone
                                    </div>
                                    <div class="col-9">
                                        {{ $order->phone }}
                                    </div>
                                    <hr>
                                    <div class="col-3">
                                        Address
                                    </div>
                                    <div class="col-9">
                                        {{ $order->street_address }}, {{ $order->suburb }}, {{ $order->state }}
                                    </div>
                                    <hr>
                                    <div class="col-3">
                                        Post Code
                                    </div>
                                    <div class="col-9">
                                        {{ $order->post_code }}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="cart-total-section">
                                <div class="cart-total-section-header">Shipping Address</div>
                                <div class="row m-3">
                                    <div class="col-3">
                                        Name
                                    </div>
                                    <div class="col-9">
                                        {{ $order->orderAddressDetail->f_name ?? $order->f_name }}
                                        {{ $order->orderAddressDetail->l_name ?? $order->l_name }}
                                    </div>
                                    <hr>
                                    <div class="col-3">
                                        Email
                                    </div>
                                    <div class="col-9">
                                        {{ $order->orderAddressDetail->email ?? $order->email }}
                                    </div>
                                    <hr>
                                    <div class="col-3">
                                        Phone
                                    </div>
                                    <div class="col-9">
                                        {{ $order->orderAddressDetail->phone ?? $order->phone }}
                                    </div>
                                    <hr>
                                    <div class="col-3">
                                        Address
                                    </div>
                                    <div class="col-9">
                                        {{ $order->orderAddressDetail->street_address ?? $order->street_address }},
                                        {{ $order->orderAddressDetail->suburb ?? $order->suburb }},
                                        {{ $order->orderAddressDetail->state ?? $order->state }}
                                    </div>
                                    <hr>
                                    <div class="col-3">
                                        Post Code
                                    </div>
                                    <div class="col-9">
                                        {{ $order->orderAddressDetail->post_code ?? $order->post_code }}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Product</th>
                                <th>Price</th>
                                <th>Quantity</th>
                                @if ($order->status != 'refund')
                                    <th>Return</th>
                                @endif
                                <th>Subtotal</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($order->orderMeta as $data)
                                <tr data-product-id="{{ $data->product_id }}">
                                    <td>
                                        <div class="c-art-item">
                                            <button class="remove-return-product mx-2"
                                                data-product-id="{{ $data->product_id }}">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18"
                                                    viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                    stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                    class="feather feather-x-circle">
                                                    <circle cx="12" cy="12" r="10"></circle>
                                                    <line x1="15" y1="9" x2="9" y2="15">
                                                    </line>
                                                    <line x1="9" y1="9" x2="15" y2="15">
                                                    </line>
                                                </svg>
                                            </button>

                                            <div class="item-media"
                                                style="background-image: url('{{ url('/') . '/' . $data->product->featured_image }}')">
                                            </div>
                                            <div class="item-info">
                                                <div class="cart-product-title">
                                                    <strong>{{ $data->product_title }}</strong>
                                                </div>
                                            </div>
                                        </div>
                                    </td>

                                    <td class="cart-cells" id="priceDisplay">
                                        ${{ $data->price }}
                                    </td>
                                    <td class="cart-cells" id="quantityDisplay">{{ $data->quantity }}</td>
                                    @if ($order->status != 'refund')
                                        <td class="cart-cells">
                                            <div class="input-group quantity-control">
                                                <button
                                                    class="quantity-decrement btn btn-outline-secondary input-group-append btn-sm">-</button>
                                                <input id="demoInput" type="number"
                                                    class="form-control form-control-sm text-center quantity-input"
                                                    readonly value="{{ $data->quantity }}" min="1"
                                                    max="{{ $data->quantity }}" oninput="handleInput(this)" disabled>
                                                <button
                                                    class="quantity-increment btn btn-outline-secondary input-group-append btn-sm">+</button>
                                            </div>
                                            <div class="quantityError text-danger" style="font-size: xx-small;"></div>
                                        </td>
                                    @endif
                                    <td class="cart-cells shippingPage-product-total" id="subTotalDisplay">
                                        ${{ $data->price * $data->quantity }}
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="col-md-4">
                    <div class="cart-total-section">
                        <div class="cart-total-section-header">Order Summery</div>
                        <div class="row m-3">
                            <div class="col-7">
                                Subtotal
                            </div>
                            <div class="col-5">
                                ${{ $order->subTotal ?? 0 }}
                            </div>
                        </div>
                        <div class="row border-top-orange py-3 mx-3">
                            <div class="col-7">
                                Registration Discount
                            </div>
                            <div class="col-5">
                                ${{ $order->auth_discount ?? 0 }}
                            </div>
                        </div>
                        @if ($order->amount_paid_by_coupon)
                            <div class="row border-top-orange py-3 mx-3">
                                <div class="col-7">
                                    Amount Paid By Coupon
                                </div>
                                <div class="col-5">
                                    ${{ $order->amount_paid_by_coupon ?? 0 }}
                                </div>
                            </div>
                        @endif
                        @if ($order->delivery_charges)
                            <div class="row border-top-orange py-3 mx-3">
                                <div class="col-7">
                                    Delivery Charges
                                </div>
                                <div class="col-5">
                                    ${{ $order->delivery_charges ?? 0 }}
                                </div>
                            </div>
                        @endif
                        <div class="row border-top-orange m-3 pt-3">
                            <div class="col-7">
                                Total Paid
                            </div>
                            <div class="col-5 shoppingPage-total_amount">
                                ${{ $order->grand_total ?? 0 }}
                            </div>
                        </div>
                    </div>
                    <div class="cart-total-section mt-3">
                        <div class="cart-total-section-header">Total Refundable</div>
                        <div class="row m-3">
                            <div class="col-7">
                                Subtotal
                            </div>
                            <div class="col-5">
                                <div class="refundable-grand-total">
                                    @php
                                        if ($order->status == 'completed') {
                                            $grandTotal = $order->grand_total - $order->delivery_charges;
                                        } else {
                                            $grandTotal = $order->grand_total;
                                        }
                                    @endphp
                                    <input class="w-100 grandTotalToReturn" type="text"
                                        value="${{ $grandTotal }}" disabled
                                        style="border: none; outline: none; color: black;">
                                </div>
                            </div>
                        </div>
                        @if ($order->status != 'refund')
                            <div class="cart-total-section-header">Select Payment Method</div>
                            <div class="card-body">
                                @if ($order->payment_method == 'Paypal')
                                    <div>
                                        <input type="radio" name="payment-method" id="paypal" value="paypal">
                                        <label for="paypal">Paypal</label>
                                    </div>
                                @elseif ($order->payment_method == 'Stripe')
                                    <div>
                                        <input type="radio" name="payment-method" id="stripe" value="stripe">
                                        <label for="stripe">Stripe</label>
                                    </div>
                                @endif
                                <div>
                                    <input type="radio" name="payment-method" id="gift-card" value="gift-card">
                                    <label for="gift-card">Gift Card</label>
                                </div>
                                <div class="text-end w-100 mt-3">
                                    <button class="btn btn-dark w-25" onclick="submitReturnOrder()">Return</button>
                                </div>
                                <div class="errorDiv">
                                </div>
                            </div>
                            @if ($order->payment_method == 'Paypal')
                                <div class="text-danger">It is noted that paypal won't accept Partial Refunds. So if
                                    you want to remove some products the Paypal won't accept the refund so you have to
                                    Refund the payment using Gift Card. And if the Order is delivered and its status
                                    changed to completed the Delivery charges will must deduct from the refundable Sub
                                    Total so it agains made a Partial refund which is not possible using Paypal.</div>
                            @endif
                        @else
                            <div class="text-danger text-center"><b>This Payment is already Refunded.</b></div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>
@endif

<div id="statusToast"></div>
@include('Admin.Includes.footer')
<script>
    var grandTotalToReturn = 0;
    var updatedData = [];
    var isIncreasingQuantity = false;
    $(document).ready(function() {
        var grandTotalInput = $('.grandTotalToReturn').val();
        grandTotalToReturn = parseFloat(grandTotalInput.replace(/[^\d.]/g, ''));
    });

    function updateData(productId, newQuantity, newSubtotal) {
        updatedData[productId] = {
            quantity: newQuantity,
            subtotal: newSubtotal
        };
    }

    $('.quantity-control').on('click', '.quantity-increment', function() {
        isIncreasingQuantity = true;
        var inputField = $(this).siblings('.quantity-input');
        increaseQuantity(inputField);
    });

    $('.quantity-control').on('click', '.quantity-decrement', function() {
        isIncreasingQuantity = false;
        var inputField = $(this).siblings('.quantity-input');
        decreaseQuantity(inputField);
    });

    function increaseQuantity(inputField) {
        var currentValue = parseInt(inputField.val(), 10);
        if (!isNaN(currentValue)) {
            inputField.val(currentValue + 1);
            handleInput(inputField[0]);
        }
    }

    function decreaseQuantity(inputField) {
        var currentValue = parseInt(inputField.val(), 10);
        if (!isNaN(currentValue) && currentValue > 1) {
            inputField.val(currentValue - 1);
            handleInput(inputField[0]);
        }
    }

    function handleInput(inputField) {
        var event = window.event || arguments.callee.caller.arguments[0];
        var numericValue = parseFloat(inputField.value);
        if (isNaN(numericValue)) {
            inputField.value = inputField.getAttribute('data-previous-value') || 1;
        } else {
            inputField.setAttribute('data-previous-value', numericValue);
            handleReturnQuantity(inputField);
        }
    }

    function handleReturnQuantity(inputField) {
        var row = $(inputField).closest('tr');
        var quantityCell = row.find('#quantityDisplay');
        var productQuantity = parseInt(quantityCell.text(), 10);
        var returnQuantity = parseInt($(inputField).val(), 10);
        var productPriceText = row.find('#priceDisplay').text();
        var subTotalDisplay = row.find('#subTotalDisplay');
        var productId = row.data('product-id');
        var authDiscountPercentage = $('#auth_discount_percentage').val();

        if (returnQuantity < 0) {
            inputField.value = 0;
        }

        var productPriceMatches = productPriceText.match(/\d+(\.\d{1,2})?/);
        var productPrice = productPriceMatches ? parseFloat(productPriceMatches[0]) : 0;

        var oldSubTotalText = subTotalDisplay.text();
        var oldSubTotalMatches = oldSubTotalText.match(/\d+(\.\d{1,2})?/);
        var oldSubTotalValue = oldSubTotalMatches ? parseFloat(oldSubTotalMatches[0]) : 0;
        var oldSubTotal = 0;

        if (isIncreasingQuantity) {
            oldSubTotal = oldSubTotalValue;
        } else {
            oldSubTotal = oldSubTotalValue - ((oldSubTotalValue * authDiscountPercentage) / 100);
        }

        var errorContainer = row.find('.quantityError');

        if (returnQuantity > productQuantity) {
            errorContainer.text('Return quantity cannot exceed the available quantity');
            inputField.value = productQuantity;
        } else {
            errorContainer.empty();
            if (!isNaN(productPrice) && !isNaN(oldSubTotal)) {
                var newSubTotalValue = productPrice * returnQuantity;
                var newSubTotal = newSubTotalValue - ((newSubTotalValue * authDiscountPercentage) / 100);
                subTotalDisplay.text('$' + newSubTotalValue.toFixed(2));

                var subTotalDifference = oldSubTotal - newSubTotal;
                var refundableGrandTotal = parseFloat($('.refundable-grand-total input').val().match(
                    /\d+(\.\d{1,2})?/));
                var newRefundableGrandTotal = refundableGrandTotal - subTotalDifference;
                grandTotalToReturn = newRefundableGrandTotal.toFixed(2);

                var method = 'quantity';
                updateReturnOrder(productId, returnQuantity, newSubTotal, method, newRefundableGrandTotal.toFixed(2));

                $('.refundable-grand-total input').val('$' + newRefundableGrandTotal.toFixed(2));
            } else {
                console.log('Invalid product price or subTotal:', productPriceText);
                subTotalDisplay.text('$0.00');
            }
        }
    }

    $('table').on('click', '.remove-return-product', function() {
        var authDiscountPercentage = $('#auth_discount_percentage').val();
        var row = $(this).closest('tr');
        var productId = row.data('product-id');
        var quantity = 0;
        var method = 'remove';
        var productSubTotal = 0;
        var subTotalDisplay = row.find('.cart-cells.shippingPage-product-total').text();
        var subTotalValue = parseFloat(subTotalDisplay.replace(/[^\d.]/g, ''));

        var subTotal = subTotalValue - ((subTotalValue * authDiscountPercentage) / 100);

        row.remove();

        var returnableGrandTotalField = $('.refundable-grand-total input');
        var returnableGrandTotal = parseFloat(returnableGrandTotalField.val().replace(/[^\d.]/g, ''));
        var newReturnableGrandTotal = returnableGrandTotal - subTotal;

        grandTotalToReturn = newReturnableGrandTotal.toFixed(2);
        returnableGrandTotalField.val('$' + newReturnableGrandTotal.toFixed(2));
        updateReturnOrder(productId, quantity, productSubTotal, method, newReturnableGrandTotal.toFixed(2));
    });

    function updateReturnOrder(pId, quantity, productSubTotal, method, returnable) {
        var csrfToken = $('meta[name="csrf-token"]').attr('content');
        $.ajax({
            url: '{{ route('Website.Return.Order.Update') }}',
            method: 'POST',
            headers: {
                'X-CSRF-TOKEN': csrfToken,
            },
            data: {
                'pId': pId,
                'quantity': quantity,
                'productSubTotal': productSubTotal,
                'method': method,
                'returnable': returnable
            },
            success: function(response) {
                console.log(response);
            },
            error: function(error) {
                console.log(error + '======== error');
            }
        })
    }

    function submitReturnOrder() {
        $('.processing-div').show();
        var total = grandTotalToReturn;
        if (total > 0) {
            var csrfToken = $('meta[name="csrf-token"]').attr('content');
            var selectedMethod = $("input[name='payment-method']:checked").val();
            var invoiceNumber = $('#order_id').val();
            if (selectedMethod == 'paypal') {
                $.ajax({
                    url: '{{ route('Paypal_Refund') }}',
                    method: 'POST',
                    headers: {
                        'X-CSRF-TOKEN': csrfToken,
                    },
                    data: {
                        'total': total,
                        'invoiceNumber': invoiceNumber,
                        'updatedData': updatedData
                    },
                    success: function(response) {
                        $('.processing-div').hide();
                        toastr.success(response.message);

                        setTimeout(() => {
                            location.reload();
                        }, 3000);
                    },
                    error: function(error) {
                        $('.processing-div').hide();
                        toastr.info('Note: Paypal not offer partial refund.');
                        toastr.error('Sorry! Paypal is not accepting the refund of this payment');
                    }
                })
            } else if (selectedMethod == 'stripe') {
                $.ajax({
                    url: '{{ route('Stripe_Refund') }}',
                    method: 'POST',
                    headers: {
                        'X-CSRF-TOKEN': csrfToken,
                    },
                    data: {
                        'total': total,
                        'invoiceNumber': invoiceNumber,
                        'updatedData': updatedData
                    },
                    success: function(response) {
                        $('.processing-div').hide();
                        if (response.status) {
                            toastr.success(response.message);
                        } else {
                            toastr.error(response.message);
                        }
                    },
                    error: function(error) {
                        $('.processing-div').hide();
                        toastr.error(error.message);
                    }
                })
            } else if (selectedMethod == 'gift-card') {
                $.ajax({
                    url: '{{ route('Gift_Card_Refund') }}',
                    method: 'POST',
                    headers: {
                        'X-CSRF-TOKEN': csrfToken,
                    },
                    data: {
                        'total': total,
                        'invoiceNumber': invoiceNumber,
                        'updatedData': updatedData
                    },
                    success: function(response) {
                        $('.processing-div').hide();
                        if (response.status) {
                            toastr.success(response.message);
                        } else {
                            toastr.error(response.message);
                        }
                    },
                    error: function(error) {
                        $('.processing-div').hide();
                        toastr.error(error.message);
                    }
                })
            } else {
                $('.processing-div').hide();
                $('.errorDiv').append(`
                <div class="p-2 mt-3" style="background-color: rgb(255, 167, 167);"><b>Select a payment method first.</b></div>
                `);
                setTimeout(() => {
                    $('.errorDiv').empty();
                }, 3000);
            }
        }
    }
</script>
