@include('Admin.Includes.header')
<!-- Page Inner Start -->
<!--================================-->
<div class="container-fluid">
    <!-- Breadcrumb Start -->
    <!--================================-->
    <div class="pageheader pl-2 pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('Role') }}</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin"><i
                            class="icon ion-ios-home-outline"></i>Dashboard</a>
                    <a class="breadcrumb-item" href="#"><i class="icon ion-ios-home-outline"></i> Role</a>
                    {{-- <span class="breadcrumb-item active">Products Types</span> --}}
                </div>
            </div>
            <div class="d-flex align-items-center">
                <button type="button" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force"
                    data-toggle="modal" data-target="#permissionModel">
                    <i data-feather="airplay" class="wd-16 mr-2"></i>Add Role</button>
            </div>
        </div>
    </div>
    <!--/ Breadcrumb End -->
    <div class="col-md-12 col-lg-12 px-0">
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}</a>
            </div>
        @endif
         @if ($errors->any() || session('error'))
        <div class="alert alert-danger">
            <ul class="mb-0">
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
                @if(session('error'))
                    <li>{{ session('error') }}</li>
                @endif
            </ul>
        </div>
    @endif
        <div class="card mg-b-30">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <div>
                        <h6 class="card-header-title tx-13 mb-0">{{ __('Role List') }}</h6>
                    </div>
                </div>
            </div>
            <div class="card-body pd-0">
                <table id="data_Table" class="table hover responsive display nowrap" style=" width: 100% !important;">
                    <thead>
                        <tr>
                            <th width="10px">#</th>
                            <th width="550px">Title</th>
                            <th width="100px">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                      @php $i = 1; @endphp
                        @foreach ($roledatas as $roledata)
                            <tr>
                              <td>{{$i}}</td>
                                <td>{{$roledata->title}}</td>
                                @if (Session::has('permissions') && (in_array('Edit Role', Session::get('permissions'))  ||in_array('Delete Role', Session::get('permissions')) ||in_array('Role Permissions', Session::get('permissions'))))
                                <td>
                                    <form action="{{ route('role.destroy', ['role' => $roledata->id]) }}" method="POST">
                                        @csrf
                                        @method('DELETE')
                                        <div class="btn-group btn-group-sm" role="group" aria-label="...">
                                           @if (Session::has('permissions') && in_array('Edit Role', Session::get('permissions')))
                                          <button type="button"
                                            class="btn btn-warning edit-button" data-id="{{ $roledata->id }}" data-toggle="modal"
                                            data-target="#permissionModeledit">Edit</button>
                                            @endif
                                            @if (Session::has('permissions') && in_array('Delete Role', Session::get('permissions')))
                                            @if ($roledata->id != 1 && $roledata->id != 2 && $roledata->id != 3 && $roledata->id!= 4)
                                            <button class="btn btn-danger" type="submit" onclick="return confirm('Are you sure? Role will permanently be deleted.')">Delete</button>
                                        @endif
                                            @endif
                                            <a href="{{ url('/admin/permission/' . $roledata->id) }}" class="btn btn-primary" aria-haspopup="true" aria-expanded="false">Permissions</a>
                                
                                        </div>
                                    </form>
                                </td>
                                @endif
                            </tr>
                            @php $i++; @endphp
                        @endforeach
                    </tbody>
                    <tfoot>
                        <tr>
                            <th>#</th>
                            <th>Title</th>
                            <th width="100px">Actions</th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>

</div>


<!--Add Role Modal -->
<div class="modal fade" id="permissionModel" data-backdrop="static" data-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel">New Role</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="{{ route('role.store') }}" method="Post">
                    @csrf
                    <div class="form-group">
                        <label>Role Name</label>
                        <input type="text" name="title" required class="form-control">
                    </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submite" class="btn btn-primary">Add</button>
            </div>
            </form>
        </div>
    </div>
</div>

<!--Edit Role Modal -->
<div class="modal fade" id="permissionModeledit" data-backdrop="static" data-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="staticBackdropLabel">Update Role</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="{{ route('role.update', ['role' => $roledata->id]) }}" method="POST">
                    @csrf
                    @method('PUT')
                    <div class="form-group">
                        <label>Role Name</label>
                        <input type="text" name="title" required value="" class="form-control title_value">
                    </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submite" class="btn btn-primary">Update</button>
            </div>
            </form>
        </div>
    </div>
</div>


@include('Admin.Includes.scripts')
<script>
  $(document).ready(function () {
      $('.edit-button').on('click', function () {
          var roleId = $(this).data('id');
          var modal = $('#permissionModeledit');
          var form = modal.find('form');
          var roleNameInput = form.find('input[name="title"]');
          $.ajax({
              type: 'GET',
              url: '/admin/role/' + roleId + '/edit',
              success: function (data) {
                $('.title_value').val(data.title);
              },
              error: function (data) {
                  console.log('Error fetching role data');
              }
          });
      });
  });
</script>

