@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\GeneralSettingsClass;
@endphp
<style>
    .dropify {
        background-color: black;
    }
</style>
<!-- Page Inner Start -->
<!--================================-->
<div class="page-inner">
    <!--================================-->
    <!-- Breadcrumb Start -->
    <!--================================-->
    <div class="pageheader pd-t-25 pd-b-35">
        <div class="d-flex justify-content-between">
            <div class="clearfix">
                <div class="pd-t-5 pd-b-5">
                    <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('General Settings') }}</h1>
                </div>
                <div class="breadcrumb pd-0 mg-0">
                    <a class="breadcrumb-item" href="{{ url('/') }}/admin"><i class="icon ion-ios-home-outline"></i>
                        Dashboard</a>
                    <a class="breadcrumb-item active" href="{{ url('/') }}/admin/general-settings">General
                        Settings</a>
                </div>
            </div>
        </div>
    </div>
    <!--/ Breadcrumb End -->
    <!--================================-->
    <!--================================-->
    <div class="col-md-12 col-lg-12 px-0">

        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                    <li>If you have already selected logo Image and Cover Image, Please select them again!</li>
                </ul>
            </div>
        @endif
        <form id="Brands-create-form" method="POST" action="{{ url('/') }}/admin/general-settings"
            enctype="multipart/form-data">
            @csrf
            <div class="row">
                <div class="col-md-8">
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('Website View Settings') }}</h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label class="form-control-label active">Tagline:</label>
                                <input class="form-control form-control-lg" type="text" name="_tagline"
                                    placeholder="Free shipping across Australia for orders over $4999"
                                    value="{{ GeneralSettingsClass::getOptionValue('_tagline', $settings) }}">
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label">Header Logo:</label>
                                        <input type="file" class="form-control" name="_header_logo"
                                            id="header_logo_input"
                                            data-default-file="{{ url('/') . '/' . GeneralSettingsClass::getOptionValue('_header_logo', $settings) }}" />
                                    </div>
                                    <div id="header_image_preview" class="text-center mb-4"
                                        style="background-color: black; height: 5rem; {{ is_null($headerLogo) ? 'display: none;' : '' }}">
                                        <img id="preview_img_header" src="{{ asset($headerLogo) ?? '#' }}"
                                            class="w-50" alt="Image Preview" style="height: 5rem;" />
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label active">Footer Logo:</label>
                                        <input type="file" class="form-control" name="_footer_logo"
                                            id="footer_logo_input"
                                            data-default-file="{{ url('/') . '/' . GeneralSettingsClass::getOptionValue('_footer_logo', $settings) }}" />
                                    </div>
                                    <div id="image_preview" class="text-center mb-4"
                                        style="background-color: black; height: 5rem; {{ is_null($footerLogo) ? ' display: none;' : '' }}">
                                        <img id="preview_img" src="{{ asset($footerLogo) ?? '#' }}" class="w-50"
                                            alt="Image Preview" style="height: 5rem;" />
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label active">GST Percentage:</label>
                                        <input class="form-control form-control-lg" type="number"
                                            name="_gst_percentage" placeholder="10%"
                                            value="{{ GeneralSettingsClass::getOptionValue('_gst_percentage', $settings) ? GeneralSettingsClass::getOptionValue('_gst_percentage', $settings) : 0 }}">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label active">Delivery Charges:</label>
                                        <input class="form-control form-control-lg" type="number"
                                            name="_delivery_charges" placeholder="10$"
                                            value="{{ GeneralSettingsClass::getOptionValue('_delivery_charges', $settings) ? GeneralSettingsClass::getOptionValue('_delivery_charges', $settings) : '0' }}">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label active">Registered User Discount
                                            Percentage:</label>
                                        <input class="form-control form-control-lg" type="number"
                                            name="_auth_discount_percentage" placeholder="10%"
                                            value="{{ GeneralSettingsClass::getOptionValue('_auth_discount_percentage', $settings) ? GeneralSettingsClass::getOptionValue('_auth_discount_percentage', $settings) : '0' }}">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('Payment Gateway Settings') }}</h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label class="form-control-label active">Paypal Public Key:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_paypal_live_key"
                                            placeholder="Provide Paypal key to accept payments"
                                            value="{{ GeneralSettingsClass::getOptionValue('_paypal_live_key', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-control-label active">Environment:</label>
                                        <div class="input-group mb-3">
                                            <input class="form-control form-control-lg" type="text"
                                                name="_paypal_live_environment" value="{{ ucwords('live') }}"
                                                disabled>
                                            <div class="input-group-append">
                                                <label class="input-group-text">
                                                    <input type="radio" name="_active_paypal_environment"
                                                        id="option1" value="live"
                                                        {{ GeneralSettingsClass::getOptionValue('_active_paypal_environment', $settings) == 'live' ? 'checked' : '' }}
                                                        autocomplete="off"> &nbsp; Active

                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label class="form-control-label active">Paypal Secrete Key:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_paypal_live_secrete_key"
                                            placeholder="Provide Paypal key to accept payments"
                                            value="{{ GeneralSettingsClass::getOptionValue('_paypal_live_secrete_key', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label class="form-control-label active">Paypal Sandbox Public Key:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_paypal_sandbox_key"
                                            placeholder="Provide Paypal sandbox key for testing purposes"
                                            value="{{ GeneralSettingsClass::getOptionValue('_paypal_sandbox_key', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-control-label active">Environment:</label>
                                        <div class="input-group mb-3">
                                            <input class="form-control form-control-lg" type="text"
                                                name="_paypal_sandbox_environment" value="{{ ucwords('sandbox') }}"
                                                disabled>
                                            <div class="input-group-append">
                                                <label class="input-group-text">
                                                    <input type="radio" name="_active_paypal_environment"
                                                        id="option1" value="sandbox"
                                                        {{ GeneralSettingsClass::getOptionValue('_active_paypal_environment', $settings) == 'sandbox' ? 'checked' : '' }}
                                                        autocomplete="off"> &nbsp;Active

                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label class="form-control-label active">Paypal Sandbox Secrete Key:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_paypal_sandbox_secrete_key"
                                            placeholder="Provide Paypal sandbox key for testing purposes"
                                            value="{{ GeneralSettingsClass::getOptionValue('_paypal_sandbox_secrete_key', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label class="form-control-label active">Stripe Key:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_stripe_live_key"
                                            placeholder="Provide Stripe key to accept payments"
                                            value="{{ GeneralSettingsClass::getOptionValue('_stripe_live_key', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-control-label active">Environment:</label>
                                        <div class="input-group mb-3">
                                            <input class="form-control form-control-lg" type="text"
                                                name="_stripe_live_environment" value="{{ ucwords('live') }}"
                                                disabled>
                                            <div class="input-group-append">
                                                <label class="input-group-text">
                                                    <input type="radio" name="_active_stripe_environment"
                                                        value="live"
                                                        {{ GeneralSettingsClass::getOptionValue('_active_stripe_environment', $settings) == 'live' ? 'checked' : '' }}
                                                        id="option1" autocomplete="off"> &nbsp;Active
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label class="form-control-label active">Stripe Sandbox Key:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_stripe_sandbox_key"
                                            placeholder="Provide Stripe sandbox key for testing purposes"
                                            value="{{ GeneralSettingsClass::getOptionValue('_stripe_sandbox_key', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-control-label active">Environment:</label>
                                        <div class="input-group mb-3">
                                            <input class="form-control form-control-lg" type="text"
                                                name="_stripe_sandbox_environment" value="{{ ucwords('sandbox') }}"
                                                disabled>
                                            <div class="input-group-append">
                                                <label class="input-group-text">
                                                    <input type="radio" name="_active_stripe_environment"
                                                        value="sandbox"
                                                        {{ GeneralSettingsClass::getOptionValue('_active_stripe_environment', $settings) == 'sandbox' ? 'checked' : '' }}
                                                        id="option1" autocomplete="off"> &nbsp;Active
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('SMTP Cridentials Settings') }}
                                    </h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label active">Mail Mailer:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_mail_mailer" placeholder="Name of the mailer you want to use."
                                            value="{{ GeneralSettingsClass::getOptionValue('_mail_mailer', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <div class="form-group">
                                        <label class="form-control-label active">Mail Host:</label>
                                        <input class="form-control form-control-lg" type="text" name="_mail_host"
                                            value="{{ GeneralSettingsClass::getOptionValue('_mail_host', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label active">Mail Port:</label>
                                        <input class="form-control form-control-lg" type="text" name="_mail_port"
                                            placeholder="Port you are using"
                                            value="{{ GeneralSettingsClass::getOptionValue('_mail_port', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <div class="form-group">
                                        <label class="form-control-label active">Mail Username:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_mail_username" placeholder="Username of mail"
                                            value="{{ GeneralSettingsClass::getOptionValue('_mail_username', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label active">Mail Encryption:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_mail_encrption" placeholder="Mail Encryption"
                                            value="{{ GeneralSettingsClass::getOptionValue('_mail_encrption', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <div class="form-group">
                                        <label class="form-control-label active">Mail Password:</label>
                                        <div class="input-group">
                                            <input class="form-control form-control-lg" type="password"
                                                name="_mail_password" placeholder="**********" id="password"
                                                value="{{ GeneralSettingsClass::getOptionValue('_mail_password', $settings) }}">
                                            <span class="input-group-text-eye"
                                                style="cursor: pointer; position: absolute; right: 10px; top: 24px; transform: translateY(-50%);">
                                                <img src="{{ url('/') }}/AdminAssets/Users/eye-cross.png"
                                                    style="width:22px; height:22px;" alt=""
                                                    id="togglePassword">
                                            </span>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="form-control-label active">Mail From Name:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_mail_from_name"
                                            placeholder="Write the name with you want to send emails."
                                            value="{{ GeneralSettingsClass::getOptionValue('_mail_from_name', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <div class="form-group">
                                        <label class="form-control-label active">Mail From Address:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_mail_from_address"
                                            placeholder="Write the email from which you want to send emails."
                                            value="{{ GeneralSettingsClass::getOptionValue('_mail_from_address', $settings) }}">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('Delivery Charges Settings') }}
                                    </h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label class="form-control-label active">Api Key:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_delivery_api_key" placeholder="Provide Delivery Charges Key"
                                            value="{{ GeneralSettingsClass::getOptionValue('_delivery_api_key', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-control-label active">Active:</label>
                                        <div class="input-group mb-3">
                                            <input class="form-control form-control-lg" type="text"
                                                name="_delivery_active" value="{{ ucwords('live') }}" disabled>
                                            <div class="input-group-append">
                                                <label class="input-group-text">
                                                    <input type="checkbox" name="_delivery_active" id="option1"
                                                        value="1"
                                                        {{ GeneralSettingsClass::getOptionValue('_delivery_active', $settings) == '1' ? 'checked' : '' }}
                                                        autocomplete="off"> &nbsp; Active
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <label class="form-control-label active">Post Code:</label>
                                    <input type="text" class="form-control" name="_delivery_from_postcode"
                                        placeholder="Post Code"
                                        value="{{ GeneralSettingsClass::getOptionValue('_delivery_from_postcode', $settings) }}">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('Google Analytics') }}
                                    </h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label class="form-control-label active">MEASUREMENT ID:</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_analytics_measurement_id" placeholder=""
                                            value="{{ GeneralSettingsClass::getOptionValue('_analytics_measurement_id', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="form-control-label active">Active:</label>
                                        <div class="input-group mb-3">
                                            <input class="form-control form-control-lg" type="text"
                                                name="_measurement_active" value="{{ ucwords('live') }}" disabled>
                                            <div class="input-group-append">
                                                <label class="input-group-text">
                                                    <input type="checkbox" name="_measurement_active" id="option1"
                                                        value="1"
                                                        {{ GeneralSettingsClass::getOptionValue('_measurement_active', $settings) == '1' ? 'checked' : '' }}
                                                        autocomplete="off"> &nbsp; Active
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('Other Settings') }}
                                    </h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label active">POS Invoice Note:</label>
                                        <textarea class="form-control form-control-lg" rows="5" name="_pos_invoice_note"
                                            placeholder="Add an additional note for POS Invoice.">{{ GeneralSettingsClass::getOptionValue('_pos_invoice_note', $settings) }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label active">Online Store Order Note:</label>
                                        <textarea class="form-control form-control-lg" rows="5" name="_store_order_note"
                                            placeholder="Add an note for the users shopped from the Online Store.">{{ GeneralSettingsClass::getOptionValue('_store_order_note', $settings) }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-control-label active">Online Store Return Order Note:</label>
                                        <textarea class="form-control form-control-lg" rows="5" name="_store_return_order_note"
                                            placeholder="Add an note for the users that return the order of the Online Store.">{{ GeneralSettingsClass::getOptionValue('_store_return_order_note', $settings) }}</textarea>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Footer Note:</label>
                                        <textarea class="form-control form-control-lg" rows="5" name="_footer_note"
                                            placeholder="Add an note for the Website Footer.(Note: For Line Break use <br>)">{{ GeneralSettingsClass::getOptionValue('_footer_note', $settings) }}</textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="_layout_color" class="form-control-label active">Layout Color</label>
                                <input type="color" class="form-control form-control-lg" name="_layout_color"
                                    id="_layout_color"
                                    value="{{ GeneralSettingsClass::getOptionValue('_layout_color', $settings) }}">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="_button_color" class="form-control-label active">Button Color</label>
                                <input type="color" class="form-control form-control-lg" name="_button_color"
                                    id="_button_color"
                                    value="{{ GeneralSettingsClass::getOptionValue('_button_color', $settings) }}">
                            </div>
                        </div>
                    </div>
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('Business Details') }}</h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Name</label>
                                        <input class="form-control form-control-lg" type="text" name="_b_name"
                                            placeholder="Add Your Business Name"
                                            value="{{ GeneralSettingsClass::getOptionValue('_b_name', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Email</label>
                                        <input class="form-control form-control-lg" type="text" name="_b_email"
                                            placeholder="Add Business email to recieve notifications"
                                            value="{{ GeneralSettingsClass::getOptionValue('_b_email', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Number</label>
                                        <input class="form-control form-control-lg" type="text" name="_b_number"
                                            placeholder="Add business number to receive business related calls."
                                            value="{{ GeneralSettingsClass::getOptionValue('_b_number', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Area Address</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_b_area_address" placeholder="Add you business area address"
                                            value="{{ GeneralSettingsClass::getOptionValue('_b_area_address', $settings) }}">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Street Address</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_b_street_address" placeholder="Add you complete business address"
                                            value="{{ GeneralSettingsClass::getOptionValue('_b_street_address', $settings) }}">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card mg-b-30">
                        <div class="card-header">
                            <div class="d-flex justify-content-between align-items-center">
                                <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('Social Media Handles') }}</h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Instagram Link</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_instagram_link"
                                            value="{{ GeneralSettingsClass::getOptionValue('_instagram_link', $settings) ? GeneralSettingsClass::getOptionValue('_instagram_link', $settings) : '#' }}">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Facebook Link</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_facebook_link"
                                            value="{{ GeneralSettingsClass::getOptionValue('_facebook_link', $settings) ? GeneralSettingsClass::getOptionValue('_facebook_link', $settings) : '#' }}">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Twitter Link</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_twitter_link"
                                            value="{{ GeneralSettingsClass::getOptionValue('_twitter_link', $settings) ? GeneralSettingsClass::getOptionValue('_twitter_link', $settings) : '#' }}">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-control-label active">Youtube Link</label>
                                        <input class="form-control form-control-lg" type="text"
                                            name="_youtube_link"
                                            value="{{ GeneralSettingsClass::getOptionValue('_youtube_link', $settings) ? GeneralSettingsClass::getOptionValue('_youtube_link', $settings) : '#' }}">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @if (Session::has('permissions') && in_array('Save General Settings', Session::get('permissions')))
                    <div class="form-group">
                        <button class="btn-primary">Save Changes</button>
                    </div>
                @endif
                </div>
            </div>
        </form>
    </div>
    <!--/  Order Active dataTable End -->
    <!--================================-->
</div>
<!--/ Page Inner End -->

@include('Admin.Includes.footer')
<script>
    $(document).ready(function() {
        $("#togglePassword").click(function() {
            var passwordField = $("#password");
            var fieldType = passwordField.attr("type");

            if (fieldType === "password") {
                passwordField.attr("type", "text");
                $("#togglePassword").attr("src", "{{ url('/') }}/AdminAssets/Users/eye.png");
            } else {
                passwordField.attr("type", "password");
                $("#togglePassword").attr("src",
                    "{{ url('/') }}/AdminAssets/Users/eye-cross.png");
            }
        });
    });
</script>
<script>
    $(document).ready(function() {
        $("#footer_logo_input").change(function() {
            readURL(this);
        });

        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function(e) {
                    $("#preview_img").attr("src", e.target.result);
                    $("#image_preview").show();
                };

                reader.readAsDataURL(input.files[0]);
            }
        }

        $("#header_logo_input").change(function() {
            readHeaderLogoURL(this);
        });

        function readHeaderLogoURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function(e) {
                    $("#preview_img_header").attr("src", e.target.result);
                    $("#header_image_preview").show();
                };

                reader.readAsDataURL(input.files[0]);
            }
        }
    });
</script>
