@include('Admin.Includes.header')
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\UserClass;
    $logged_in_user = Auth::user();
@endphp
            <!-- Page Inner Start -->
            <!--================================-->
            <div class="page-inner">
               <!--================================-->
               <!-- Breadcrumb Start -->
               <!--================================-->
               <div class="pageheader pd-t-25 pd-b-35">
                  <div class="d-flex justify-content-between">
                     <div class="clearfix">
                        <div class="pd-t-5 pd-b-5">
                           <h1 class="pd-0 mg-0 tx-20 tx-dark">{{ __('User List') }}</h1>
                        </div>
                        <div class="breadcrumb pd-0 mg-0">
                           <a class="breadcrumb-item" href="{{url('/')}}/admin"><i class="icon ion-ios-home-outline"></i> Dashboard</a>
                           <span class="breadcrumb-item active">User List</span>
                        </div>
                     </div>
                    @if (Session::has('permissions') && in_array('Create User', Session::get('permissions')))
                     <div class="d-flex align-items-center">
                        <button type="button" onclick="window.location = '{{url('/')}}/admin/users/create'" class="btn btn-default mb-2 mb-md-0 d-none d-lg-block pd-t-6-force pd-b-5-force">
                        <i data-feather="user" class="wd-16 mr-2"></i>Create User</button>
                     </div>
                  @endif
                  </div>
               </div>
               <!--/ Breadcrumb End -->
               <!--================================-->
                    <!--================================-->
                    <div class="col-md-12 col-lg-12 px-0">
                        <div class="card mg-b-30">
                           <div class="card-header">
                              <div class="d-flex justify-content-between align-items-center">
                                 <div>
                                    <h6 class="card-header-title tx-13 mb-0">{{ __('User List (Owner, Admin, Author, Developer)') }}</h6>
                                 </div>
                              </div>
                           </div>
                           <div class="card-body pd-0">
                              <table id="data_Table" class="table hover responsive display nowrap" style=" width: 100% !important;">
                                 <thead>
                                    <tr>
                                       <th>Name</th>
                                       <th>Email</th>
                                       <th>Phone</th>
                                       <th>Role</th>
                                       <th>Active</th>
                                       <th>Registered By</th>
                                       <th>Registered At</th>
                                      @if (Session::has('permissions') && (in_array('Delete User', Session::get('permissions'))  ||in_array('User Change Status', Session::get('permissions')))) <th width="180px">Actions</th>@endif
                                    </tr>
                                 </thead>
                                 <tbody>
                                    @if(count($users) > 0)
                                        @foreach($users as $user)
                                        <tr>
                                            <td><a class="user-name" user-id="{{$user->id}}">{{$user->name}}</a></td>
                                            <td>{{$user->email}}</td>
                                            <td>{{$user->phone}}</td>
                                            <td>{{UserClass::check_role($user->role_id, $roles)}}</td>
                                            <td class="active-status">{{UserClass::check_active($user->active)}}</td>
                                            <td>@if(!empty($user->created_by)) <a class="user-name" user-id="{{$user->created_by}}">{{UserClass::check_user($user->created_by,$users)}}</a> @endif</td>
                                            <td>{{formatDate($user->created_at, false)}}</td>
                                              @if (Session::has('permissions') && (in_array('Delete User', Session::get('permissions'))  ||in_array('User Change Status', Session::get('permissions'))))
                                            <td width="180px">
                                            @if($logged_in_user->id != $user->id)
                                            @if($user->role_id != 1)
                                                <div class="btn-group btn-group-sm" role="group" aria-label="...">
                                                    <form action="{{ route('users.destroy', $user->id) }}" method="POST">
                                                        @csrf
                                                        @method('DELETE')
                                                        @if (Session::has('permissions') && in_array('Edit User', Session::get('permissions')))
                                                        <button type="button" class="btn btn-warning btn-sm p-2"
                                                        onclick="window.location='{{ route('users.edit', ['user' => $user->id]) }}'" style="margin-right:-2px;">Edit</button>
                                                        @endif
                                                        @if (Session::has('permissions') && in_array('Delete User', Session::get('permissions')))
                                                        <button class="btn btn-danger btn-sm p-2" type="submit" onclick="return confirm('{{ __('Are you sure?') }}')">Delete</button>
                                                   @endif
                                                    </form>
                                                    @if (Session::has('permissions') && in_array('User Change Status', Session::get('permissions')))
                                                    <div class="btn-group" role="group">
                                                        <button type="button" class="btn btn-secondary dropdown-toggle btn-sm p-2" data-toggle="dropdown" aria-expanded="false">Change Status</button>
                                                        <div class="dropdown-menu">
                                                            <a class="dropdown-item" onclick="updateStatus({{ $user->id }}, '1', this)">Active</a>
                                                            <a class="dropdown-item" onclick="updateStatus({{ $user->id }}, '0', this)">Inactive</a>
                                                        </div>
                                                    </div>
                                               @endif
                                                </div>
                                            @endif
                                            @endif
                                            </td>
                                        @endif
                                        </tr>
                                        @endforeach
                                    @endif
                                 </tbody>
                                 <tfoot>
                                    <tr>
                                       <th>Name</th>
                                       <th>Email</th>
                                       <th>Phone</th>
                                       <th>Role</th>
                                       <th>Active</th>
                                       <th>Registered By</th>
                                       <th>Registered At</th>
                                       @if (Session::has('permissions') && (in_array('Delete User', Session::get('permissions'))  ||in_array('User Change Status', Session::get('permissions'))))<th width="180px">Actions</th>@endif
                                    </tr>
                                 </tfoot>
                              </table>
                           </div>
                        </div>
                     </div>
                     <!--/  Order Active dataTable End -->	
                     <!--================================-->
               </div>
            <!--/ Page Inner End -->         
@include('Admin.Includes.footer')
