@include('Website.Includes.header', ['meta_Details' => $meta_details])
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\GeneralSettingsClass;
    $logged_in_user = Auth::user();
@endphp
<style>
    .form-text {
        height: 36px;
        background: #fff;
        color: rgba(0, 0, 0, 0.8);
        font-size: 14px;
        border-radius: 2px;
        -webkit-box-shadow: none !important;
        box-shadow: none !important;
        border: 1px solid rgba(0, 0, 0, 0.1);
    }

    .form-text::-webkit-input-placeholder {
        /* Chrome/Opera/Safari */
        color: rgba(0, 0, 0, 0.3) !important;
    }

    .form-text::-moz-placeholder {
        /* Firefox 19+ */
        color: rgba(0, 0, 0, 0.3) !important;
    }

    .form-text:-ms-input-placeholder {
        /* IE 0+ */
        color: rgba(0, 0, 0, 0.3) !important;
    }

    .form-text:-moz-placeholder {
        /* Firefox 18- */
        color: rgba(0, 0, 0, 0.3) !important;
    }

    .form-text:focus,
    .form-text:active {
        border-color: #E59041 !important;
    }

    textarea.form-text {
        height: inherit !important;
    }

    .wrapper {
        width: 100%;
        -webkit-box-shadow: 0px 21px 41px -13px rgba(0, 0, 0, 0.18);
        -moz-box-shadow: 0px 21px 41px -13px rgba(0, 0, 0, 0.18);
        box-shadow: 0px 21px 41px -13px rgba(0, 0, 0, 0.18);
    }

    .contact-wrap {
        background: #fff;
    }

    .info-wrap {
        color: rgba(255, 255, 255, 0.8);
    }

    .info-wrap h3 {
        color: #fff;
    }

    .info-wrap .dbox {
        width: 100%;
        color: rgba(255, 255, 255, 0.8);
        margin-bottom: 25px;
    }

    .info-wrap .dbox:last-child {
        margin-bottom: 0;
    }

    .info-wrap .dbox p {
        margin-bottom: 0;
    }

    .info-wrap .dbox p span {
        font-weight: 500;
        color: #fff;
    }

    .info-wrap .dbox p a {
        color: #fff;
    }

    .info-wrap .dbox .icon {
        width: 50px;
        height: 50px;
        border-radius: 50%;
        border: 2px solid rgba(255, 255, 255, 1.2);
    }

    .info-wrap .dbox .icon span {
        font-size: 20px;
        color: #fff;
    }

    .info-wrap .dbox .text {
        width: calc(100% - 50px);
    }

    @media (prefers-reduced-motion: reduce) {
        .btn {
            -webkit-transition: none;
            -o-transition: none;
            transition: none;
        }
    }

    .btn:hover,
    .btn:active,
    .btn:focus {
        outline: none !important;
        -webkit-box-shadow: 0px 10px 20px -6px rgba(0, 0, 0, 0.22) !important;
        -moz-box-shadow: 0px 10px 20px -6px rgba(0, 0, 0, 0.22) !important;
        box-shadow: 0px 10px 20px -6px rgba(0, 0, 0, 0.22) !important;
    }

    .btn.btn-primary {
        background: #E59041 !important;
        border-color: #E59041 !important;
        color: #fff;
    }

    .btn.btn-primary:hover,
    .btn.btn-primary:focus {
        border-color: #E59041 !important;
        background: #E59041 !important;
    }

    .contactForm .label {
        color: #000;
        text-transform: uppercase;
        font-size: 12px;
        font-weight: 600;
    }

    .contactForm .form-text {
        border: none;
        border-bottom: 1px solid rgba(0, 0, 0, 0.1);
        padding: 0;
    }

    #contactForm .error {
        color: red;
        font-size: 12px;
    }

    #contactForm .form-text {
        font-size: 16px;
    }

    #message {
        resize: vertical;
    }

    #form-message-warning,
    #form-message-success {
        display: none;
    }


    #form-message-success {
        color: #28a745;
        font-size: 18px;
        font-weight: bold;
    }

    .submitting {
        float: left;
        width: 100%;
        padding: 10px 0;
        display: none;
        font-size: 16px;
        font-weight: bold;
    }

    .ftco-section {
        padding: 7em 0;
    }

    .contact-wrap {
        background: #fff;
    }

    .get_touch {
        background-color: #E59041;
    }
    .contact_detail{
        margin-left:5px;
    }

    /* toaster */

    .toast {
        background-color: #333;
        color: #fff;
    }

    .toast-success {
        background-color: #28a745 !important;
    }

    .toast-error {
        background-color: #dc3545 !important;
    }

    .toast-info {
        background-color: #17a2b8 !important;
    }

    .toast-warning {
        background-color: #ffc107 !important;
    }
</style>

<section class="ftco-section" style>
    <div class="container">
        <div class="row justify-content-center">
        </div>
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="wrapper">
                    <div class="row no-gutters">
                        <div class="col-lg-8 col-md-7 order-md-last d-flex align-items-stretch">
                            <div class="contact-wrap w-100 p-md-5 p-4">
                                <h3 class="mb-4">Get in touch</h3>
                                <div id="form-message-warning" class="mb-4"></div>
                                <div id="form-message-success" class="mb-4">
                                    Your message was sent, thank you!
                                </div>
                                <form method="POST" id="contactForm" name="contactForm" class="contactForm">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="label" for="name">First Name</label>
                                                <input type="text" class="form-control form-text px-2" name="f_name"
                                                    id="f_name" placeholder="First Name" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="label" for="email">Last Name</label>
                                                <input type="text" class="form-control form-text px-2" name="l_name"
                                                    id="l_name" placeholder="Last Name" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="label" for="name">Email Address</label>
                                                <input type="email" class="form-control form-text px-2" name="email"
                                                    id="email" placeholder="Email Address" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="label" for="email">Phone</label>
                                                <input type="number" class="form-control form-text px-2" name="phone"
                                                    id="phone" placeholder="Phone" required>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label class="label" for="subject">Subject</label>
                                                <input type="text" class="form-control form-text px-2" name="subject"
                                                    id="subject" placeholder="Subject" required>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label class="label" for="#">Message</label>
                                                <textarea name="message" class="form-control form-text px-2" id="message" cols="30" rows="4"
                                                    placeholder="Message" required></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group mt-2">
                                                <input type="submit" id="btn_sbmt" value="Send Message" class="btn btn-primary">
                                                <div class="submitting"></div>
                                            </div>
                                            <div class="success_message"></div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-5 d-flex align-items-stretch">
                            <div class="info-wrap w-100 p-md-5 p-4 get_touch">
                                <h3>Let's get in touch</h3>
                                <p class="mb-4">We're open for any suggestion or just to have a chat</p>
                                <div class="dbox w-100 d-flex align-items-center">
                                    <div class="icon d-flex align-items-center justify-content-center">
                                        <span class="d-flex"><img src="{{ url('/') }}/WebsiteAssets/images/phone-call.svg" width="20" alt="" style="fill: white !important;"></span>
                                    </div>
                                    <div class="text pl-3 contact_detail">
                                        <p><span>Phone:</span> <a href="tel:{{GeneralSettingsClass::getRequiredValue("_b_number")}}">{{GeneralSettingsClass::getRequiredValue("_b_number")}}</a></p>
                                    </div>
                                </div>
                                <div class="dbox w-100 d-flex align-items-center">
                                    <div class="icon d-flex align-items-center justify-content-center">
                                        <span class="d-flex"><img src="{{ url('/') }}/WebsiteAssets/images/envelope.svg" width="20"  alt=""></span>
                                    </div>
                                    <div class="text pl-3 contact_detail">
                                        <p><span>Email:</span> <a href="mailto:{{GeneralSettingsClass::getRequiredValue("_b_email")}}">{{GeneralSettingsClass::getRequiredValue("_b_email")}}</a>
                                        </p>
                                    </div>
                                </div>
                                <div class="dbox w-100 d-flex align-items-center">
                                    <div class="icon d-flex align-items-center justify-content-center">
                                        <span class="d-flex"><img src="{{ url('/') }}/WebsiteAssets/images/home-icon.svg" width="20" alt="" style="color: #fff;"></span>
                                    </div>
                                    <div class="text pl-3 contact_detail">
                                        <p><span>Address:</span> {{GeneralSettingsClass::getRequiredValue("_b_street_address")}},{{GeneralSettingsClass::getRequiredValue("_b_area_address")}}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


@include('Website.Includes.footer')

<script>
    $('#contactForm').on('submit', function(e) {
        e.preventDefault();
        $('#btn_sbmt').val('Sending...');
        $('#btn_sbmt').prop('disabled', true);
        $('#f_name, #email, #l_name, #phone, #subject, #message').prop('readonly', true);
        var csrfToken = $('meta[name="csrf-token"]').attr('content');
        var formData = $(this).serialize();
        $.ajax({
            url: "contact_us_data",
            type: "POST",
            headers: {
                'X-CSRF-TOKEN': csrfToken
            },
            data: formData,
            success: function(response) {
                switch (response.status) {
                    case 200:
                        toastr.success(response.message);
                        $('#btn_sbmt').val('Send Message');
                        $('#btn_sbmt').prop('disabled', false);
                        $('#f_name, #email,#phone,#subject,#message, #l_name').val('');
                        $('#f_name, #email, #l_name, #phone, #subject, #message').prop('readonly', false);
                        break;
                    case 500:
                        toastr.error(response.message);
                        break;
                }
            },
            error: function(xhr, status, error) {
                if (xhr.status == 422) {
                    let errors = xhr.responseJSON.errors;
                    let errorList = '<ul>';
                    for (let field in errors) {
                        errorList += '<li>' + errors[field][0] + '</li>';
                    }
                    errorList += '</ul>';
                    toastr.error(errorList);
                    $('#btn_sbmt').val('Send Message');
                    $('#btn_sbmt').prop('disabled', false);
                        $('#f_name, #email,#phone,#subject,#message, #l_name').val('');
                        $('#f_name, #email, #l_name, #phone, #subject, #message').prop('readonly', false);
                } else {
                    $('#btn_sbmt').val('Send Message');
                    $('#btn_sbmt').prop('disabled', false);
                        $('#f_name, #email,#phone,#subject,#message, #l_name').val('');
                        $('#f_name, #email, #l_name, #phone, #subject, #message').prop('readonly', false);
                    toastr.error('erver Error, Try Again Later!');
                }
            }
        });
    });
</script>
