@include('Website.Includes.header', ['meta_Details' => $meta_details])
@php
    use App\General\GeneralSettingsClass;
@endphp
<!-- MULTITAB SECTION -->
<section class="login-ptop-b">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-12" style="background-color: {{ GeneralSettingsClass::getRequiredValue("_layout_color") }} !important;">
                <div class="login-section">
                    <div class="">
                        <div class="login-logo">
                            <img src="{{ url('/') . '/' . $headerLogo }}" alt="ToolTrade Logo" width="250px">
                        </div>
                        <p class="login-left-desc pt-3">ToolTrade and Co is your go-to destination for top-quality wholesale hardware in Australia. With a dedication to excellence and a vast range of products, we serve businesses of all sizes, providing the tools and equipment you need to succeed. Our commitment to quality, exceptional customer service, and a passion for hardware solutions make us the trusted choice for professionals across various industries. Discover a world of high-performance tools and unmatched reliability with ToolTrade and Co. Copyright © 2023 ToolTrade Australia.</p>
                        <div class="ranch-img">
                            <img src="{{ url('/') }}/WebsiteAssets/images/Vector (4).png" alt="">
                        </div>
                    </div>

                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-12 login-section-r">
                <div class="login-section">
                    <div>
                        <div class="row justify-content-center">
                            <div class="col-lg-10 col-md-12 col-sm-12">
                                <div>
                                    <h2 class="login-title">Forgot Your Password?</h2>
                                    @if (session('status') === 200 && session('message'))
                                        <span class="text-success">
                                            <strong>{{ session('message') }}</strong>
                                        </span>
                                    @else
                                        <span class="text-danger">
                                            <strong>{{ session('message') }}</strong>
                                        </span>
                                    @endif
                                    <form action="{{ route('Website.ForgotPasswordRoute') }}" method="POST">
                                        @csrf
                                        <div class="input-group mb-3">
                                            <span class="input-group-text" id="basic-addon1">
                                                <img src="{{ url('/') }}/WebsiteAssets/images/Group 76.png"
                                                    alt="">
                                            </span>
                                            <input type="email" name="email"
                                                class="form-control login-inp @error('email') is-invalid @enderror"
                                                placeholder="john@example.com.au">
                                        </div>
                                        @error('email')
                                            <span class="text-danger" style="font-size: x-small;">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                        <div class="login-btn">
                                            <button type="submit" id="submitButton" class="btn" style="background-color: {{ GeneralSettingsClass::getRequiredValue("_button_color") }} !important;">Send Reset Password
                                                Email</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@include('Website.Includes.footer')
<script>
    $('form').on('submit', function() {
        $('#submitButton').prop('disabled', true).text('Loading...');
    });
</script>
