@include('Website.Includes.header', ['meta_Details' => $meta_details])
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\ProductClass;
    use App\General\DiscountClass;
    use App\General\CollectionClass;
    $logged_in_user = Auth::user();
    $default_collection = 0;
    $selected_collection = '';
    $collection_index = 1;
@endphp
<style>
    .image-container {
        width: 100%;
        height: 110px;
        background-size: cover;
        background-position: center;
    }

    .collection_id,
    .collection_id:focus,
    .collection_id:active {
        margin-left: auto;
        border-radius: 10px;
        padding-left: 7px;
        padding-right: 7px;
        border-color: var(--color-orange) !important;
        color: var(--color-orange) !important;
        outline: 0;
    }

    .featureProductSlider .owl-dots {

        display: none !important;

    }
</style>
<!-- MULTITAB SECTION -->
<section>
    <!-- REDAPTION OFFERS -->
    <div class="container-fluid px-lg-3 px-md-0 px-0 pt-0">
        @if ($brandsliders->isNotEmpty())
            <section id="demos">
                <div class="row">
                    <div class="large-12 columns offer-slider-ptop-30px">
                        <div class="owl-carousel owl-carousel-offer owl-theme ">
                            @foreach ($brandsliders as $brandslider)
                                <div class="item banner-slider">
                                    <div>
                                        <a href="{{ url('/tool-brands/' . $brandslider->brand->permalink) }}">
                                            <img src="{{ url('/') . '/' . $brandslider->slider_image }}" alt=""
                                                width="100%">
                                        </a>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                        <script>
                            $(document).ready(function() {
                                var owl = $('.owl-carousel-offer');

                                owl.owlCarousel({
                                    loop: true,
                                    margin: 10,
                                    nav: true,
                                    autoplay: true,
                                    autoplayTimeout: 3000,
                                    autoplayHoverPause: true,
                                    responsiveClass: true,
                                    responsive: {
                                        0: {
                                            items: 1,
                                            nav: true
                                        },
                                        600: {
                                            items: 1,
                                            nav: false
                                        },
                                        1000: {
                                            items: 1,
                                            nav: true,
                                            loop: true,
                                            margin: 20
                                        }
                                    }
                                });

                                owl.on('translated.owl.carousel', function(event) {
                                    var currentSlide = event.item.index + 1;
                                    var totalSlides = event.item.count;
                                    if (currentSlide === totalSlides) {
                                        setTimeout(function() {
                                            owl.trigger('to.owl.carousel', [0, 300]);
                                        }, 3000);
                                    }
                                });
                            });
                        </script>

                    </div>
                </div>
            </section>
        @endif
    </div>
    <div class="container">
        <!-- Better Tools Deals At Australia's -->
        @if ($collectionproducts->isNotEmpty())
            @if (CollectionClass::check_length($collectionproducts))
                <div class="row ptop-30">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <div class="d-flex">
                            <h1 class="product-detail-main-title top-ttooltrade-text-onel"><img
                                    src="{{ url('/') }}/WebsiteAssets/images/Vector.png" alt="">
                                Monthly Specials</h1>
                            <select id="collectionSelect" class="collection_id" name="collection_id">
                                <option value="" disabled>Select a Collection</option>
                                @foreach ($collectionproducts as $collectionproduct)
                                    @if ($collectionproduct->products->isNotEmpty())
                                        @if ($collection_index == 1)
                                            @php
                                                $default_collection = $collectionproduct->id;
                                                $selected_collection = $collectionproduct->permalink;
                                            @endphp
                                            <option value="{{ $collectionproduct->id }}"
                                                data-collection-title="{{ $collectionproduct->permalink }}" selected>
                                                {{ ucwords($collectionproduct->title) }}</option>
                                        @else
                                            <option value="{{ $collectionproduct->id }}"
                                                data-collection-title="{{ $collectionproduct->permalink }}">
                                                {{ ucwords($collectionproduct->title) }}
                                            </option>
                                        @endif
                                    @endif
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row ptop-30 pt-3" id="collection_data">

                </div>
                <div class="pt-3">
                    <p><a href="/collection-product/{{ $selected_collection }}" class="view-category-text4"
                            id="viewAllDealsLink">View All Deals</a></p>
                </div>
            @endif
        @endif
        <!-- FUTURED PRODUCT -->
        @if ($featuredproducts->isNotEmpty())
            <div class="row mtop-50">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    <p class="home-tool-categories-title">Featured Products</p>
                </div>
            </div>
            <section id="demos" class="ptop-30 margin-bottom-slider">
                <div class="row">
                    <div class="large-12 columns">
                        <div class="owl-carousel owl-carousel-futured-product featureProductSlider owl-theme ">
                            @foreach ($featuredproducts as $featuredproduct)
                                <div class="item">
                                    <div class="futured-product-col-b">
                                        @if (isset($featuredproduct->discount))
                                            <?php
                                            $currentDate = null;
                                            $fromDate = null;
                                            $toDate = null;
                                            $currentDate = time();
                                            $fromDate = strtotime($featuredproduct->discount->from_date);
                                            $toDate = strtotime($featuredproduct->discount->end_date);
                                            ?>
                                            @if ($featuredproduct->discount->active == 1)
                                                @if ($featuredproduct->discount->limited == 1)
                                                    @if ($currentDate >= $fromDate && $currentDate <= $toDate)
                                                        <p class="featured-product-discount">
                                                            @if ($featuredproduct->discount->discount_type == 0)
                                                                Save {{ $featuredproduct->discount->discount_value }}%
                                                            @else
                                                                Save {{ $featuredproduct->discount->discount_value }}$
                                                            @endif
                                                        </p>
                                                    @endif
                                                @else
                                                    <p class="featured-product-discount">
                                                        @if ($featuredproduct->discount->discount_type == 0)
                                                            Save {{ $featuredproduct->discount->discount_value }}%
                                                        @else
                                                            Save {{ $featuredproduct->discount->discount_value }}$
                                                        @endif
                                                    </p>
                                                @endif
                                            @endif
                                        @elseif (DiscountClass::check_collection_discount($featuredproduct->id))
                                            <?php
                                            $collection = DiscountClass::check_collection_discount($featuredproduct->id);
                                            $currentDate = null;
                                            $fromDate = null;
                                            $toDate = null;
                                            $currentDate = time();
                                            $fromDate = strtotime($collection->from_date);
                                            $toDate = strtotime($collection->end_date);
                                            ?>
                                            @if ($collection->active == 1)
                                                @if ($collection->limited == 1)
                                                    @if ($currentDate >= $fromDate && $currentDate <= $toDate)
                                                        <p class="featured-product-discount">
                                                            @if ($collection->discount_type == 0)
                                                                Save {{ $collection->discount_value }}%
                                                            @else
                                                                Save {{ $collection->discount_value }}$
                                                            @endif
                                                        </p>
                                                    @endif
                                                @else
                                                    <p class="featured-product-discount">
                                                        @if ($collection->discount_type == 0)
                                                            Save {{ $collection->discount_value }}%
                                                        @else
                                                            Save {{ $collection->discount_value }}$
                                                        @endif
                                                    </p>
                                                @endif
                                            @endif
                                        @endif
                                        <div class="futured-tool-section">
                                            <div class="row">
                                                <div class="col-lg-4 col-md-4 col-sm-12">
                                                    <div class="futured-product-image">
                                                        <img src="{{ url('/') . '/' . $featuredproduct->featured_image }}"
                                                            alt="">
                                                    </div>
                                                </div>

                                                <div class="col-lg-8 col-md-8 col-sm-12">
                                                    <div class="futured-product-details">
                                                        <p class="futured-product-title">
                                                            <a href="{{ url('/') }}/product/{{ $featuredproduct->permalink }}"
                                                                class="futured-product-TextDecor texttracate">{{ $featuredproduct->title }}</a>
                                                        </p>
                                                        <p class="latest-product-amount">
                                                            <?php
                                                            $discountedPriceHtml = null;
                                                            $actualPrice = null;
                                                            if (isset($featuredproduct->discount)) {
                                                                if ($featuredproduct->discount->active == 1) {
                                                                    if ($featuredproduct->discount->limited == 1) {
                                                                        if ($currentDate >= $fromDate && $currentDate <= $toDate) {
                                                                            $currentDate = time();
                                                                            $fromDate = strtotime($featuredproduct->discount->from_date);
                                                                            $toDate = strtotime($featuredproduct->discount->end_date);

                                                                            if ($featuredproduct->discount->discount_type == 0) {
                                                                                $discountedPriceHtml = number_format($featuredproduct->productMeta->where('option', '_price')->first()->value - ($featuredproduct->productMeta->where('option', '_price')->first()->value * ($featuredproduct->discount->discount_value ?? 0)) / 100, 2);
                                                                                $actualPrice = '$' . $featuredproduct->productMeta->where('option', '_price')->first()->value;
                                                                            } else {
                                                                                $discountedPriceHtml = intval($featuredproduct->productMeta->where('option', '_price')->first()->value - ($featuredproduct->discount->discount_value ?? 0));
                                                                                $actualPrice = '$' . $featuredproduct->productMeta->where('option', '_price')->first()->value;
                                                                            }
                                                                        } else {
                                                                            $actualPrice = null;
                                                                        }
                                                                    } else {
                                                                        if ($featuredproduct->discount->discount_type == 0) {
                                                                            $discountedPriceHtml = number_format($featuredproduct->productMeta->where('option', '_price')->first()->value - ($featuredproduct->productMeta->where('option', '_price')->first()->value * ($featuredproduct->discount->discount_value ?? 0)) / 100, 2);
                                                                            $actualPrice = '$' . $featuredproduct->productMeta->where('option', '_price')->first()->value;
                                                                        } else {
                                                                            $discountedPriceHtml = intval($featuredproduct->productMeta->where('option', '_price')->first()->value - ($featuredproduct->discount->discount_value ?? 0));
                                                                            $actualPrice = '$' . $featuredproduct->productMeta->where('option', '_price')->first()->value;
                                                                        }
                                                                    }
                                                                }
                                                            } elseif (DiscountClass::check_collection_discount($featuredproduct->id)) {
                                                                if ($collection->active == 1) {
                                                                    if ($collection->limited == 1) {
                                                                        if ($currentDate >= $fromDate && $currentDate <= $toDate) {
                                                                            $currentDate = time();
                                                                            $fromDate = strtotime($collection->from_date);
                                                                            $toDate = strtotime($collection->end_date);

                                                                            if ($collection->discount_type == 0) {
                                                                                $discountedPriceHtml = number_format($featuredproduct->productMeta->where('option', '_price')->first()->value - ($featuredproduct->productMeta->where('option', '_price')->first()->value * ($collection->discount_value ?? 0)) / 100, 2);
                                                                                $actualPrice = '$' . $featuredproduct->productMeta->where('option', '_price')->first()->value;
                                                                            } else {
                                                                                $discountedPriceHtml = intval($featuredproduct->productMeta->where('option', '_price')->first()->value - ($collection->discount_value ?? 0));
                                                                                $actualPrice = '$' . $featuredproduct->productMeta->where('option', '_price')->first()->value;
                                                                            }
                                                                        } else {
                                                                            $actualPrice = null;
                                                                        }
                                                                    } else {
                                                                        if ($collection->discount_type == 0) {
                                                                            $discountedPriceHtml = number_format($featuredproduct->productMeta->where('option', '_price')->first()->value - ($featuredproduct->productMeta->where('option', '_price')->first()->value * ($collection->discount_value ?? 0)) / 100, 2);
                                                                            $actualPrice = '$' . $featuredproduct->productMeta->where('option', '_price')->first()->value;
                                                                        } else {
                                                                            $discountedPriceHtml = intval($featuredproduct->productMeta->where('option', '_price')->first()->value - ($collection->discount_value ?? 0));
                                                                            $actualPrice = '$' . $featuredproduct->productMeta->where('option', '_price')->first()->value;
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                            ?>
                                                            ${{ $discountedPriceHtml ?? $featuredproduct->productMeta->where('option', '_price')->first()->value }}
                                                            <small
                                                                class="product-detail-discount"><del>{{ $actualPrice }}</del></small>
                                                        </p>
                                                        <div>
                                                            <div class="row">
                                                                <div class="col-lg-12 col-md-12 col-sm-12 p-0">
                                                                    <div>
                                                                        @php
                                                                            $disable = false;
                                                                            $buttonText = null;
                                                                            $stock = $featuredproduct->productMeta->where('option', '_stock')->first()->value;
                                                                            if ($stock == 0) {
                                                                                $disable = true;
                                                                                $buttonText = 'Out of Stock';
                                                                            } else {
                                                                                $disable = false;
                                                                                $buttonText = 'Add to Cart';
                                                                            }
                                                                        @endphp
                                                                        <button class="futured-product-add-tocart-btn"
                                                                            @if ($disable) disabled @endif
                                                                            data-gst="{{ $featuredproduct->productMeta->where('option', '_gst')->first()->value ?? 0 }}"
                                                                            data-title="{{ $featuredproduct->title }}"
                                                                            data-amount="{{ $discountedPriceHtml ?? $featuredproduct->productMeta->where('option', '_price')->first()->value }}"
                                                                            data-p_id="{{ $featuredproduct->id }}"
                                                                            data-featured_image="{{ url('/') . '/' . $featuredproduct->featured_image }}">
                                                                            @if ($disable)
                                                                                Out of Stock
                                                                            @else
                                                                                Add to Cart
                                                                            @endif
                                                                        </button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                        <script>
                            $(document).ready(function() {
                                $('.owl-carousel-futured-product').owlCarousel({
                                    loop: false,
                                    margin: 10,
                                    nav: true,
                                    navText: [
                                        "<div class='nav-button owl-prev'><img src='{{ url('/') }}/WebsiteAssets/images/Group 5.png' alt=''></div>",
                                        "<div class='nav-button owl-next'><img src='{{ url('/') }}/WebsiteAssets/images/Group 4.png' alt=''></div>"
                                    ],
                                    responsiveClass: true,
                                    responsive: {
                                        0: {
                                            items: 1,
                                            nav: true
                                        },
                                        600: {
                                            items: 1,
                                            nav: true
                                        },
                                        1000: {
                                            items: 3,
                                            nav: true,
                                            loop: false,
                                            margin: 20
                                        }
                                    }
                                })
                            })
                        </script>
                    </div>
                </div>
            </section>
            <p style="margin-top: 14px; text-align: end;"><a href="/all-featured-products"
                    class="view-category-text2">View
                    All </a></p>
        @endif
        <!-- FUTURED BRAND -->
        @if ($brands->isNotEmpty())
            <div class="row  pt-3">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    <div class="">
                        <h1 class="product-detail-main-title"><img
                                src="{{ url('/') }}/WebsiteAssets/images/Vector (3).png" alt=""> Featured
                            Brands - Your Home
                            for the Major Brands
                        </h1>
                    </div>
                </div>
            </div>
            <section id="demos" class="ptop-30 margin-bottom-slider">
                <div class="row">
                    <div class="large-12 columns">
                        <div class="owl-carousel owl-carousel-brand owl-theme">
                            @for ($i = 0; $i < count($brands); $i += 1)
                                <div class="item">
                                    @if ($i < count($brands))
                                        <a href="{{ url('/tool-brands/' . $brands[$i]->permalink) }}">
                                            <div class="futured-brand-logos">
                                                <img src="{{ url('/') . '/' . $brands[$i]->logo_image }}"
                                                    alt="">
                                            </div>
                                        </a>
                                    @endif
                                </div>
                            @endfor
                        </div>
                        <div class="pt-4">
                            <p><a href="/tool-brands" class="view-category-text1">View All Brands</a></p>
                        </div>
                        <script>
                            $(document).ready(function() {
                                var owlBrand = $('.owl-carousel-brand');
                                owlBrand.owlCarousel({
                                    loop: false,
                                    nav: false,
                                    margin: 10,
                                    responsiveClass: true,
                                    responsive: {
                                        0: {
                                            items: 1,
                                            nav: true
                                        },
                                        600: {
                                            items: 3,
                                            nav: false
                                        },
                                        1000: {
                                            items: 6,
                                            nav: true,
                                            loop: false,
                                            margin: 20
                                        }
                                    }
                                });

                                function autoScrollToFirst() {
                                    var currentSlide = owlBrand.find('.owl-item.active').index();
                                    var totalSlides = owlBrand.find('.owl-item').length;

                                    if (currentSlide === totalSlides - 1) {
                                        owlBrand.trigger('to.owl.carousel', [0, 300]);
                                    }
                                }

                                owlBrand.on('changed.owl.carousel', function(event) {
                                    autoScrollToFirst();
                                });
                            });
                        </script>
                    </div>
                </div>
            </section>
        @endif
        <!-- LATEAST TOOL STORE -->

        @if ($products->isNotEmpty())
            <div class="row ptop--30">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    <div>
                        <h1 class="product-detail-main-title top-ttooltrade-text-onel"><img
                                src="{{ url('/') }}/WebsiteAssets/images/Group 2 (1).png" alt="">
                            Latest Tools on the Store
                        </h1>
                    </div>
                </div>
            </div>
            <div class="row ptop-30 pt-3">
                @foreach ($products as $product)
                    <div class="col-lg-4 col-md-6 col-sm-12 latest-product-col-b">
                        <div class="latest-tool-section">
                            @if (isset($product->discount))
                                <?php
                                $currentDate = null;
                                $fromDate = null;
                                $toDate = null;
                                $currentDate = time();
                                $fromDate = strtotime($product->discount->from_date);
                                $toDate = strtotime($product->discount->end_date);
                                ?>
                                @if ($product->discount->active == 1)
                                    @if ($product->discount->limited == 1)
                                        @if ($currentDate >= $fromDate && $currentDate <= $toDate)
                                            <p class="featured-product-discount">
                                                @if ($product->discount->discount_type == 0)
                                                    Save {{ $product->discount->discount_value }}%
                                                @else
                                                    Save {{ $product->discount->discount_value }}$
                                                @endif
                                            </p>
                                        @endif
                                    @else
                                        <p class="featured-product-discount">
                                            @if ($product->discount->discount_type == 0)
                                                Save {{ $product->discount->discount_value }}%
                                            @else
                                                Save {{ $product->discount->discount_value }}$
                                            @endif
                                        </p>
                                    @endif
                                @endif
                            @elseif (DiscountClass::check_collection_discount($product->id))
                                <?php
                                $collection = DiscountClass::check_collection_discount($product->id);
                                $currentDate = null;
                                $fromDate = null;
                                $toDate = null;
                                $currentDate = time();
                                $fromDate = strtotime($collection->from_date);
                                $toDate = strtotime($collection->end_date);
                                ?>
                                @if ($collection->active == 1)
                                    @if ($collection->limited == 1)
                                        @if ($currentDate >= $fromDate && $currentDate <= $toDate)
                                            <p class="featured-product-discount">
                                                @if ($collection->discount_type == 0)
                                                    Save {{ $collection->discount_value }}%
                                                @else
                                                    Save {{ $collection->discount_value }}$
                                                @endif
                                            </p>
                                        @endif
                                    @else
                                        <p class="featured-product-discount">
                                            @if ($collection->discount_type == 0)
                                                Save {{ $collection->discount_value }}%
                                            @else
                                                Save {{ $collection->discount_value }}$
                                            @endif
                                        </p>
                                    @endif
                                @endif
                            @endif
                            <div class="row">
                                <div class="col-lg-4 col-md-4 col-sm-12">
                                    <div class="latest-product-image">
                                        <img src="{{ url('/') . '/' . $product->featured_image }}" alt="">
                                    </div>
                                </div>
                                @php
                                    $disable = false;
                                    $stock = ProductClass::getOptionValue('_stock', $product->productMeta);
                                    if ($stock == 0) {
                                        $disable = true;
                                    } else {
                                        $disable = false;
                                    }
                                @endphp
                                <input type="hidden" name="gst"
                                    value="{{ ProductClass::getOptionValue('_gst', $product->productMeta) }}">
                                <div class="col-lg-8 col-md-8 col-sm-12">
                                    <div class="latest-product-details">
                                        <p class="latest-product-title">
                                            <a href="{{ url('/') }}/product/{{ $product->permalink }}"
                                                class="latest-product-TextDecor texttracate">{{ $product->title }}</a>
                                        </p>
                                        <p class="latest-product-amount">
                                            <?php
                                            $discountedPriceHtml = null;
                                            $actualPrice = null;
                                            if (isset($product->discount)) {
                                                if ($product->discount->active == 1) {
                                                    if ($product->discount->limited == 1) {
                                                        if ($currentDate >= $fromDate && $currentDate <= $toDate) {
                                                            $currentDate = time();
                                                            $fromDate = strtotime($product->discount->from_date);
                                                            $toDate = strtotime($product->discount->end_date);

                                                            if ($product->discount->discount_type == 0) {
                                                                $discountedPriceHtml = number_format(ProductClass::getOptionValue('_price', $product->productMeta) - (ProductClass::getOptionValue('_price', $product->productMeta) * ($product->discount->discount_value ?? 0)) / 100, 2);
                                                                $actualPrice = '$' . ProductClass::getOptionValue('_price', $product->productMeta);
                                                            } else {
                                                                $discountedPriceHtml = intval(ProductClass::getOptionValue('_price', $product->productMeta) - ($product->discount->discount_value ?? 0));
                                                                $actualPrice = '$' . ProductClass::getOptionValue('_price', $product->productMeta);
                                                            }
                                                        } else {
                                                            $actualPrice = null;
                                                        }
                                                    } else {
                                                        if ($product->discount->discount_type == 0) {
                                                            $discountedPriceHtml = number_format(ProductClass::getOptionValue('_price', $product->productMeta) - (ProductClass::getOptionValue('_price', $product->productMeta) * ($product->discount->discount_value ?? 0)) / 100, 2);
                                                            $actualPrice = '$' . ProductClass::getOptionValue('_price', $product->productMeta);
                                                        } else {
                                                            $discountedPriceHtml = intval(ProductClass::getOptionValue('_price', $product->productMeta) - ($product->discount->discount_value ?? 0));
                                                            $actualPrice = '$' . ProductClass::getOptionValue('_price', $product->productMeta);
                                                        }
                                                    }
                                                }
                                            } elseif (DiscountClass::check_collection_discount($product->id)) {
                                                $collection = DiscountClass::check_collection_discount($product->id);
                                                if ($collection->active == 1) {
                                                    if ($collection->limited == 1) {
                                                        if ($currentDate >= $fromDate && $currentDate <= $toDate) {
                                                            $currentDate = time();
                                                            $fromDate = strtotime($collection->from_date);
                                                            $toDate = strtotime($collection->end_date);

                                                            if ($collection->discount_type == 0) {
                                                                $discountedPriceHtml = number_format(ProductClass::getOptionValue('_price', $product->productMeta) - (ProductClass::getOptionValue('_price', $product->productMeta) * ($collection->discount_value ?? 0)) / 100, 2);
                                                                $actualPrice = '$' . ProductClass::getOptionValue('_price', $product->productMeta);
                                                            } else {
                                                                $discountedPriceHtml = intval(ProductClass::getOptionValue('_price', $product->productMeta) - ($collection->discount_value ?? 0));
                                                                $actualPrice = '$' . ProductClass::getOptionValue('_price', $product->productMeta);
                                                            }
                                                        } else {
                                                            $actualPrice = null;
                                                        }
                                                    } else {
                                                        if ($collection->discount_type == 0) {
                                                            $discountedPriceHtml = number_format(ProductClass::getOptionValue('_price', $product->productMeta) - (ProductClass::getOptionValue('_price', $product->productMeta) * ($collection->discount_value ?? 0)) / 100, 2);
                                                            $actualPrice = '$' . ProductClass::getOptionValue('_price', $product->productMeta);
                                                        } else {
                                                            $discountedPriceHtml = intval(ProductClass::getOptionValue('_price', $product->productMeta) - ($collection->discount_value ?? 0));
                                                            $actualPrice = '$' . ProductClass::getOptionValue('_price', $product->productMeta);
                                                        }
                                                    }
                                                }
                                            }
                                            ?>
                                            ${{ $discountedPriceHtml ?? ProductClass::getOptionValue('_price', $product->productMeta) }}
                                            <small
                                                class="product-detail-discount"><del>{{ $actualPrice }}</del></small>
                                        </p>
                                        <div>
                                            <div class="row">
                                                <div class="col-lg-12 col-md-12 col-sm-12 p-0">
                                                    <div>
                                                        <button class="futured-product-add-tocart-btn"
                                                            @if ($disable) disabled @endif
                                                            data-gst="{{ ProductClass::getOptionValue('_gst', $product->productMeta) }}"
                                                            data-title="{{ $product->title }}"
                                                            data-amount="{{ $discountedPriceHtml ?? ProductClass::getOptionValue('_price', $product->productMeta) }}"
                                                            data-p_id="{{ $product->id }}"
                                                            data-featured_image="{{ url('/') . '/' . $product->featured_image }}">
                                                            @if ($disable)
                                                                Out of Stock
                                                            @else
                                                                Add to Cart
                                                            @endif
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
            <div class="pt-3">
                <p><a href="/all-products" class="view-category-text3">View All Products</a></p>
            </div>
        @else
            <p></p>
        @endif


        <!-- Category Slider  -->
        @if (!$categorysliders->isEmpty() && 5>6)
            <div class="row mtop-50">
                <div class="col-lg-12 col-md-12 col-sm12">
                    <p class="home-tool-categories-title">Tools Categories</p>
                </div>
            </div>
            <section id="demos" class="mb-4">
                <div class="row">
                    <div class="large-12 columns all-category-slider-p">
                        <div class="owl-carousel owl-theme oul-logos-slider">
                            @foreach ($categorysliders as $categoryslider)
                                <div class="item">
                                    <div class="card product-logo-card">
                                        <div class="card-img">
                                            <a href="{{ url('/category/' . $categoryslider->category->sku) }}"
                                                class="collection-view-linked-desc texttracate">
                                                <img src="{{ url('/') . '/' . $categoryslider->slider_image }}"
                                                    class="img-fluid">
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                        <script>
                            $(document).ready(function() {
                                $('.owl-carousel').owlCarousel({
                                    loop: false,
                                    margin: 10,
                                    nav: true,
                                    navText: [
                                        "<div class='nav-button owl-prev' id='catslide_btn'><img src='{{ url('/') }}/WebsiteAssets/images/Group 5.png' alt=''></div>",
                                        "<div class='nav-button owl-next'  id='catslide_btn'><img src='{{ url('/') }}/WebsiteAssets/images/Group 4.png' alt=''></div>"
                                    ],
                                    responsiveClass: true,
                                    responsive: {
                                        0: {
                                            items: 2,
                                            nav: true
                                        },
                                        600: {
                                            items: 4,
                                            nav: true
                                        },
                                        1000: {
                                            items: 8,
                                            nav: true,
                                            loop: false,
                                            margin: 20
                                        }
                                    }
                                })
                            })
                        </script>
                    </div>
                </div>
            </section>
        @endif

        <!-- MULTITAB  -->
        <div class="row" style="display: none;">
            <div class="col-lg-12 col-md-12 col-sm-12">
                <div class="product-detail-back-img"
                    style="background-image: url('{{ url('/') }}/WebsiteAssets/images/hero.jpg');">
                    <div class="row">
                        <div class="col-lg-5 col-md-8 col-sm-10">
                            <!-- tabs -->
                            <div class="home-multitab-secton">
                                <ul class="nav multitab-ul nav-pills mb-3" id="pills-tab" role="tablist">
                                    <li class="nav-item" role="presentation">
                                        <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill"
                                            data-bs-target="#pills-home" type="button" role="tab"
                                            aria-controls="pills-home" aria-selected="true">MODEL INFO</button>
                                    </li>
                                    <li class="nav-item" role="presentation">
                                        <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill"
                                            data-bs-target="#pills-profile" type="button" role="tab"
                                            aria-controls="pills-profile" aria-selected="false">POWER</button>
                                    </li>
                                    <li class="nav-item" role="presentation">
                                        <button class="nav-link" id="pills-contact-tab" data-bs-toggle="pill"
                                            data-bs-target="#pills-contact" type="button" role="tab"
                                            aria-controls="pills-contact" aria-selected="false">RUN TIME</button>
                                    </li>
                                    <li class="nav-item" role="presentation">
                                        <button class="nav-link" id="pills-disabled-tab" data-bs-toggle="pill"
                                            data-bs-target="#pills-disabled" type="button" role="tab"
                                            aria-controls="pills-disabled" aria-selected="false">RELAIBILITY</button>
                                    </li>
                                </ul>
                                <div class="tab-content" id="pills-tabContent">
                                    <div class="tab-pane fade show active" id="pills-home" role="tabpanel"
                                        aria-labelledby="pills-home-tab" tabindex="0">
                                        <div class="row">
                                            <div class="col-lg-12 col-md-12 col-sm-12">
                                                <div class="p-3">
                                                    <h3 class="multitab-sub-title">GEC01PL</h3>
                                                    <h2 class="multitab-title">80V MAX(40V MAX X2) XGT BRUSHLESS
                                                        14"POWER CUTTER WITH AFT
                                                        ELECTRIC BRAKE</h2>
                                                    <button class="multitab-product-detail-btn btn">PRODUCT
                                                        DETAILS</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="pills-profile" role="tabpanel"
                                        aria-labelledby="pills-profile-tab" tabindex="0">
                                        <div class="row">
                                            <div class="col-lg-12 col-md-12 col-sm-12">
                                                <div class="p-3">
                                                    <h2 class="multitab-power-title">POWER</h2>
                                                    <p class="multitab-power-desc">Delivers the power of a 75.6cc
                                                        Gas Saw</p>
                                                    <button class="multitab-product-detail-btn btn">PRODUCT
                                                        DETAILS</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="pills-contact" role="tabpanel"
                                        aria-labelledby="pills-contact-tab" tabindex="0">
                                        <div class="row">
                                            <div class="col-lg-12 col-md-12 col-sm-12">
                                                <div class="p-3">
                                                    <h2 class="multitab-power-title">RUN TIME</h2>
                                                    <p class="multitab-power-desc">Cuts up to 15 ft. in concrete and
                                                        makes 115 cuts in #5 rebar
                                                        on a single charge</p>
                                                    <button class="multitab-product-detail-btn btn">PRODUCT
                                                        DETAILS</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="pills-disabled" role="tabpanel"
                                        aria-labelledby="pills-disabled-tab" tabindex="0">
                                        <div class="row">
                                            <div class="col-lg-12 col-md-12 col-sm-12">
                                                <div class="p-3">
                                                    <h2 class="multitab-power-title">RELIABILITY</h2>
                                                    <p class="multitab-power-desc">No Gas, No Fumes, No Pull-Starts,
                                                        Zero Limitations</p>
                                                    <button class="multitab-product-detail-btn btn">PRODUCT
                                                        DETAILS</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- end tabs -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@include('Website.Includes.footer')
<script>
    $(document).ready(function() {
        default_collection({{ $default_collection }});
        $('#collectionSelect').on('change', function() {
            var collectionId = $(this).val();
            var collectionTitle = $(this).find(':selected').data('collection-title');
            default_collection(collectionId);
            viewAllDealsLink.href = `/collection-product/${collectionTitle}`;
        });
    });

    function default_collection(collection_id) {
        var collectionId = collection_id;

        if (collectionId) {
            $.ajax({
                url: '{{ route('get.collection.products') }}',
                type: 'get',
                data: {
                    collection_id: collectionId
                },
                success: function(response) {
                    var html = response.html;
                    $('#collection_data').html(html);
                },
                error: function(xhr, status, error) {
                    console.log(error);
                }
            });
        } else {
            $('#collection_data').empty();
        }
    }
</script>
