@include('Website.Includes.header', ['meta_Details' => $meta_details])
@php
    use App\General\GeneralSettingsClass;
@endphp
<!-- MULTITAB SECTION -->
<section class="login-ptop-b">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-12"
                style="background-color: {{ GeneralSettingsClass::getRequiredValue('_layout_color') }} !important;">
                <div class="login-section">
                    <div class="">
                        <div class="login-logo">
                            <img src="{{ url('/') . '/' . $headerLogo }}" alt="ToolTrade Logo" width="250px">
                        </div>
                        <p class="login-left-desc pt-3">ToolTrade and Co is your go-to destination for top-quality wholesale hardware in Australia. With a dedication to excellence and a vast range of products, we serve businesses of all sizes, providing the tools and equipment you need to succeed. Our commitment to quality, exceptional customer service, and a passion for hardware solutions make us the trusted choice for professionals across various industries. Discover a world of high-performance tools and unmatched reliability with ToolTrade and Co. Copyright © 2023 ToolTrade Australia.</p>
                        <div class="ranch-img">
                            <img src="{{ url('/') }}/WebsiteAssets/images/Vector (4).png" alt="">
                        </div>
                    </div>

                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-12 login-section-r">
                <div class="login-section">
                    <div>
                        <div class="row justify-content-center">
                            <div class="col-lg-10 col-md-12 col-sm-12">
                                <div>
                                    <h2 class="register-title">Register Account</h2>
                                    <form action="{{ route('Website.RegisterUser') }}" method="POST">
                                        @csrf
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-12">
                                                <div class="input-group pt-3">
                                                    <span class="input-group-text" id="basic-addon1">
                                                        <img src="{{ url('/') }}/WebsiteAssets/images/Group 78.png"
                                                            alt="">
                                                    </span>
                                                    <input type="text" name="first_name"
                                                        class="form-control login-inp @error('first_name') is-invalid @enderror"
                                                        placeholder="John" pattern="[A-Za-z]+"
                                                        value="{{ old('first_name') }}">
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-12">
                                                <div class="input-group pt-3">
                                                    <span class="input-group-text" id="basic-addon1">
                                                        <img src="{{ url('/') }}/WebsiteAssets/images/Group 78.png"
                                                            alt="">
                                                    </span>
                                                    <input type="text" name="last_name"
                                                        value="{{ old('last_name') }}" class="form-control login-inp"
                                                        placeholder="Doe">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="input-group pt-3">
                                            <span class="input-group-text" id="basic-addon1">
                                                <img src="{{ url('/') }}/WebsiteAssets/images/Group 76.png"
                                                    alt="">
                                            </span>
                                            <input type="email" name="email"
                                                class="form-control login-inp @error('email') is-invalid @enderror"
                                                value="{{ old('email') }}" placeholder="john@example.com.au">
                                        </div>
                                        @error('email')
                                            <span class="text-danger" style="font-size: xx-small">
                                                <strong>The email has already been taken.</strong>
                                            </span>
                                        @enderror
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-12">
                                                <div class="input-group pt-3">
                                                    <span class="input-group-text" id="basic-addon1">
                                                        <img src="{{ url('/') }}/WebsiteAssets/images/Vector (5).png"
                                                            alt="">
                                                    </span>
                                                    <input type="password" name="password"
                                                        value="{{ old('password') }}"
                                                        class="form-control login-inp @error('password') is-invalid @enderror"
                                                        placeholder="***************" value="{{ old('password') }}" id="password">
                                                          <span class="input-group-text-eye"  style="cursor: pointer;">
                                                            <img src="{{ url('/') }}/WebsiteAssets/images/eyee-hide.svg" style="width:27px; height:27px;" alt="" id="togglePassword">
                                                        </span>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-12">
                                                <div class="input-group pt-3">
                                                    <span class="input-group-text" id="basic-addon1">
                                                        <img src="{{ url('/') }}/WebsiteAssets/images/Group 81.png"
                                                            alt="">
                                                    </span>
                                                    <input type="text" name="phone"
                                                        class="form-control login-inp @error('phone') is-invalid @enderror"
                                                        placeholder="+613468887736" value="{{ old('phone') }}">
                                                </div>
                                                @error('phone')
                                                    <span class="text-danger font-class-small">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="input-group pt-3">
                                            <span class="input-group-text" id="basic-addon1">
                                                <img src="{{ url('/') }}/WebsiteAssets/images/Group 80 (1).png"
                                                    alt="">
                                            </span>
                                            <input type="text" name="_b_name"
                                                class="form-control login-inp @error('_b_name') is-invalid @enderror"
                                                placeholder="Business Name" maxlength="20"
                                                value="{{ old('_b_name') }}">
                                        </div>
                                        @error('_b_name')
                                            <span class="text-danger font-class-small">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-12">
                                                <div class="input-group pt-3" style="position: relative;">
                                                    <span class="input-group-text" id="basic-addon1">
                                                        <img src="{{ url('/') }}/WebsiteAssets/images/Group 82.png"
                                                            alt="">
                                                    </span>
                                                    <!--<input type="text" name="_b_area_address"-->
                                                    <!--    class="form-control login-inp @error('_b_area_address') is-invalid @enderror"-->
                                                    <!--    placeholder="Business Address"-->
                                                    <!--    value="{{ old('_b_area_address') }}">-->
                                                    <input type="text" name="_b_area_address" class="form-control login-inp @error('_b_area_address') is-invalid @enderror address-input"
                                                    value="{{ old('_b_area_address') }}" placeholder="Business Address" style="padding: 6px;
                                                    border-top-right-radius: 3px;
                                                    border-bottom-right-radius: 3px">
                                                    
                                                    <div class="suggestions" style="position: absolute;
                                                    background: white;
                                                    z-index: 200;
                                                    top: 60px;
                                                    border: 1px solid #ccc;"></div>
                                                    <div class="details"></div>
                                                </div>
                                                @error('_b_area_address')
                                                    <span class="text-danger font-class-small">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-12">
                                                <div class="input-group pt-3">
                                                    <span class="input-group-text" id="basic-addon1">
                                                        <img src="{{ url('/') }}/WebsiteAssets/images/Group 83.png"
                                                            alt="">
                                                    </span>
                                                    <select name="_b_type" id="category"
                                                        class="form-control login-inp @error('_b_type') is-invalid @enderror">
                                                        <option value="" selected disabled>Business Type
                                                        </option>
                                                        <option value="others">Others</option>
                                                        <option value="Accounting">Accounting</option>
                                                        <option value="Advertising">Advertising</option>
                                                        <option value="Agriculture">Agriculture</option>
                                                        <option value="Automotive">Automotive</option>
                                                        <option value="Beauty and Spa">Beauty and Spa</option>
                                                        <option value="Catering">Catering</option>
                                                        <option value="Consulting">Consulting</option>
                                                        <option value="Design">Design</option>
                                                        <option value="Education">Education</option>
                                                        <option value="Engineering">Engineering</option>
                                                        <option value="Fashion">Fashion</option>
                                                        <option value="Fitness">Fitness</option>
                                                        <option value="Food Services">Food Services</option>
                                                        <option value="Healthcare">Healthcare</option>
                                                        <option value="Hospitality">Hospitality</option>
                                                        <option value="Information Technology">Information Technology
                                                        </option>
                                                        <option value="Insurance">Insurance</option>
                                                        <option value="Legal Services">Legal Services</option>
                                                        <option value="Manufacturing">Manufacturing</option>
                                                        <option value="Marketing">Marketing</option>
                                                        <option value="Media and Entertainment">Media and Entertainment
                                                        </option>
                                                        <option value="Non-profit">Non-profit</option>
                                                        <option value="Real Estate">Real Estate</option>
                                                        <option value="Retail">Retail</option>
                                                        <option value="Transportation">Transportation</option>
                                                        <option value="Travel and Tourism">Travel and Tourism</option>
                                                        <option value="Wholesale">Wholesale</option>
                                                        <option value="Architecture">Architecture</option>
                                                        <option value="Bakery">Bakery</option>
                                                        <option value="Childcare">Childcare</option>
                                                        <option value="Dentistry">Dentistry</option>
                                                        <option value="E-commerce">E-commerce</option>
                                                        <option value="Event Planning">Event Planning</option>
                                                        <option value="Graphic Design">Graphic Design</option>
                                                        <option value="Interior Design">Interior Design</option>
                                                        <option value="Landscaping">Landscaping</option>
                                                        <option value="Photography">Photography</option>
                                                        <option value="Public Relations">Public Relations</option>
                                                        <option value="Renewable Energy">Renewable Energy</option>
                                                        <option value="Software Development">Software Development
                                                        </option>
                                                        <option value="Sports and Recreation">Sports and Recreation
                                                        </option>
                                                        <option value="Telecommunications">Telecommunications</option>
                                                        <option value="Travel Agency">Travel Agency</option>
                                                        <option value="Veterinary">Veterinary</option>
                                                        <option value="Waste Management">Waste Management</option>
                                                        <option value="Web Hosting">Web Hosting</option>
                                                        <option value="Wedding Planning">Wedding Planning</option>
                                                    </select>
                                                </div>
                                                {{-- test --}}

                                                <div id="otherBusinessType" style="display: none;">
                                                    <div class="input-group pt-3">
                                                        <span class="input-group-text" id="basic-addon1">
                                                            <img src="{{ url('/') }}/WebsiteAssets/images/Group 83.png"
                                                                alt="">
                                                        </span>
                                                        <input type="text" name="_other_b_type"
                                                            class="form-control login-inp @error('_other_b_type') is-invalid @enderror"
                                                            placeholder="Business Type" id="other_business_type"
                                                            value="{{ old('_other_b_type') }}" required>
                                                    </div>
                                                </div>
                                                @error('_other_b_type')
                                                    <span class="text-danger" style="font-size: xx-small;">
                                                        <strong>Your must have to enter Business Type</strong>
                                                    </span>
                                                @enderror
                                                {{-- test --}}
                                                @error('_b_type')
                                                    <span class="text-danger" style="font-size: xx-small;">
                                                        <strong>Your must have to select Business Type</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-12">
                                                <div class="form-check pt-3">
                                                    <input class="form-check-input" name="subscribe_newsletter"
                                                        type="checkbox" id="gridCheck">
                                                    <label class="form-check-label" for="gridCheck">
                                                        Subscribe to Newsletter
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-12">
                                                <div class="form-check pt-3">
                                                    <input class="form-check-input" name="accept_terms"
                                                        type="checkbox" id="acceptterms">
                                                    <label class="form-check-label" for="acceptterms">
                                                        Accept Terms & Conditions
                                                    </label>
                                                </div>
                                                @error('accept_terms')
                                                    <span class="text-danger font-class-small">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="row justify-content-center pt-3">
                                            <div class="col-lg-9 col-md-10 col-sm-12">
                                                <div class="login-btn">
                                                    <button class="btn" type="submit" id="submitButton"
                                                        style="background-color: {{ GeneralSettingsClass::getRequiredValue('_button_color') }} !important;">Register
                                                        Account</button>
                                                </div>
                                                <p class="login-or-text">Or</p>
                                                <div class="login-btn">
                                                    <button class="btn" type="button"
                                                        onclick="window.location.href='{{ url('/') }}/sign-in'"
                                                        style="background-color: {{ GeneralSettingsClass::getRequiredValue('_button_color') }} !important;">Back
                                                        to Login</button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@include('Website.Includes.footer')

<script>
    // Get references to the select element and the otherBusinessType div
    const categorySelect = document.getElementById('category');
    const otherBusinessTypeDiv = document.getElementById('otherBusinessType');
    const otherBusinessTypeInput = document.getElementById('other_business_type');

    // Add an event listener to the select element
    categorySelect.addEventListener('change', function() {
        if (categorySelect.value === 'others') {
            // If "Others" is selected, display the otherBusinessType input field
            otherBusinessTypeDiv.style.display = 'block';
            otherBusinessTypeInput.setAttribute('required', 'required');
        } else {
            // If any other option is selected, hide the otherBusinessType input field
            otherBusinessTypeDiv.style.display = 'none';
            otherBusinessTypeInput.removeAttribute('required');
        }
    });
</script>

<script>
    $('form').on('submit', function() {
        $('#submitButton').prop('disabled', true).text('Loading...');
    });
</script>
<script>
    $(document).ready(function() {
        $('input[name="last_name"], input[name="first_name"]').on('input', function() {
            var inputValue = $(this).val();
            console.log(inputValue);
            var sanitizedValue = inputValue.replace(/[^A-Za-z ]/g,
            ''); // Remove non-alphabetic characters except space
            $(this).val(sanitizedValue); // Set the input value to the sanitized value
        });
    });
</script>

<script>
    $(document).ready(function () {
        $("#togglePassword").click(function () {
            var passwordField = $("#password");
            var fieldType = passwordField.attr("type");

            if (fieldType === "password") {
                passwordField.attr("type", "text");
                $("#togglePassword").attr("src", "{{ url('/') }}/WebsiteAssets/images/eyee.svg");
            } else {
                passwordField.attr("type", "password");
                $("#togglePassword").attr("src", "{{ url('/') }}/WebsiteAssets/images/eyee-hide.svg");
            }
        });
    });
</script>
