@include('Website.Includes.header', ['meta_Details' => $meta_details])
<!-- MULTITAB SECTION -->
<section class="login-ptop-b">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-12 login-section-l">
                <div class="login-section">
                    <div class="">
                        <div class="login-logo">
                            <img src="{{ url('/') . '/' . $headerLogo }}" alt="ToolTrade Logo" width="250px">
                        </div>
                        <p class="login-left-desc pt-3">ToolTrade and Co is your go-to destination for top-quality
                            wholesale hardware in Australia. With a dedication to excellence and a vast range of
                            products, we serve businesses of all sizes, providing the tools and equipment you need to
                            succeed. Our commitment to quality, exceptional customer service, and a passion for hardware
                            solutions make us the trusted choice for professionals across various industries. Discover a
                            world of high-performance tools and unmatched reliability with ToolTrade and Co. Copyright ©
                            2023 ToolTrade Australia.</p>
                        <div class="ranch-img">
                            <img src="{{ url('/') }}/WebsiteAssets/images/Vector (4).png" alt="">
                        </div>
                    </div>

                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-12 login-section-r">
                <div class="login-section">
                    <div>
                        <div class="row justify-content-center">
                            <div class="col-lg-10 col-md-12 col-sm-12">
                                <div>
                                    <h2 class="login-title">Reset Password</h2>
                                    @if (session('status') == 404 && session('message'))
                                        <span class="text-danger mb-3">
                                            <strong>{{ session('message') }}</strong>
                                        </span>
                                    @endif
                                    <form action="{{ route('Website.UserPasswordUpdate') }}" method="POST">
                                        @csrf
                                        <div class="input-group">
                                            {{-- <span class="input-group-text" id="basic-addon1">
                                                <img src="{{ url('/') }}/WebsiteAssets/images/Group 76.png"
                                                    alt="">
                                            </span> --}}
                                            <input type="hidden" name="token" class="form-control login-inp"
                                                value="{{ $token }}">
                                        </div>
                                        @error('token')
                                            <span class="text-danger" style="font-size: x-small;">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                        <div class="input-group pt-3">
                                            <span class="input-group-text" id="basic-addon1">
                                                <img src="{{ url('/') }}/WebsiteAssets/images/Vector (5).png"
                                                    alt="">
                                            </span>
                                            <input type="password" name="password" id="password"
                                                class="form-control login-inp @error('password') is-invalid @enderror password-field"
                                                placeholder="New Password">
                                        </div>
                                        @error('password')
                                            <span class="text-danger" style="font-size: x-small">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                        <div class="input-group pt-3">
                                            <span class="input-group-text" id="basic-addon1">
                                                <img src="{{ url('/') }}/WebsiteAssets/images/Vector (5).png"
                                                    alt="">
                                            </span>
                                            <input type="password" id="confirmPassword" name="password_confirmation"
                                                id="password_confirmation" class="form-control login-inp password-field"
                                                placeholder="Confirm Password">
                                        </div>
                                        @error('password')
                                            <span class="text-danger" style="font-size: x-small">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                         <div style="text-align: end;">
                                            <input type="checkbox" class="form-check-input" id="showpassword" >
                                            <label for="showpassword" class="form-check-label">Show Password</label>
                                        </div>
                                        <div class="login-btn pt-3">
                                            <button type="submit" class="btn" id="submitButton">Update
                                                Password</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@include('Website.Includes.footer')
<script>
    $('form').on('submit', function() {
        $('#submitButton').prop('disabled', true).text('Loading...');
    });
</script>

<script>
    const showPasswordCheckbox = document.getElementById("showpassword");
    const passwordFields = document.querySelectorAll(".password-field");
    showPasswordCheckbox.addEventListener("change", function () {
        const fieldType = showPasswordCheckbox.checked ? "text" : "password";
        passwordFields.forEach((field) => {
            field.type = fieldType;
        });
    });
</script>
