@include('Website.Includes.header', ['meta_Details' => $meta_details])
@php
    use Illuminate\Support\Facades\Auth;
    use App\General\ProductClass;
    $logged_in_user = Auth::user();
@endphp

<!-- MULTITAB SECTION -->
<style>
    .c-art-item {
        background: white;
        border-radius: 8px;
        display: flex;
        justify-content: flex-start;
        align-items: center;
    }

    .item-media {
        height: 50px;
        width: 50px;
        border-radius: 6px;
        background-position: center !important;
        background-size: 70% auto !important;
        background-repeat: no-repeat !important;
        margin-right: 6px;
    }

    .remove-item-cart {
        border: none;
        outline: none;
        background-color: black;
        color: white;
        padding: 3px;
        font-size: 12px;
        line-height: 110%;
        border-radius: 4px;
    }

    .cart-cells {
        vertical-align: middle !important;
    }

    .cart-product-title {
        line-height: 100%;
    }

    .cart-total-section {
        border: 1px solid lightgray;
    }

    .cart-total-section-header {
        background: whitesmoke;
        color: black;
        font-size: 28px;
        padding: 12px;
        font-weight: 700;
    }
       @media (max-width: 768px){
        .cart-cross-icon {
        position: relative;
        top: 2px;
        left: 0px;
        }
        .counter-section{
            width:90px !important;
        }
        .item-media {
        width:100px;
        } 
    }
    @media (max-width: 425px)
    {
        .cart-cross-icon {
        position: relative;
        top: 2px;
        left: 0px;
        }
        .counter-section{
         width:90px;
        }
        .item-media {
        width:100px;
        } 
    }
    @media (max-width: 419px)
    {
        .cart-cross-icon {
        position: relative;
        top: 2px;
        left: 0px;
        }
        .counter-section{
        width:90px;
        }
        .item-media {
        width:100px;
        }
    }
</style>


<div class="container">
    <h2>Shopping Cart</h2>
    <div class="row">
        <div class="col-md-8" style="overflow:auto;">
            <table class="table border">
                <thead>
                    <tr class="border">
                        <th>Product</th>
                        <th>Price</th>
                        <th>Quantity</th>
                        <th>Subtotal</th>
                    </tr>
                </thead>
                <tbody>
                    @if (!empty($cartData))
                        @foreach ($cartData as $data)
                            <tr>
                                <td>
                                    <div class="c-art-item">
                                        <button class="remove-item-cart mx-2 cart-cross-icon"
                                            data-product-id="{{ $data['pId'] }}">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18"
                                                viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                class="feather feather-x-circle">
                                                <circle cx="12" cy="12" r="10"></circle>
                                                <line x1="15" y1="9" x2="9" y2="15">
                                                </line>
                                                <line x1="9" y1="9" x2="15" y2="15">
                                                </line>
                                            </svg>
                                        </button>

                                        <div class="item-media"
                                            style="background-image: url('{{ $data['featuredImage'] }}')"></div>
                                        <div class="item-info">
                                            <div class="cart-product-title"><strong>{{ $data['title'] }}</strong></div>
                                        </div>
                                    </div>
                                </td>

                                <td class="cart-cells {{ $data['pId'] }}">${{ $data['amount'] }}</td>
                                <td class="cart-cells">
                                    <div class="counter-section">
                                        <div class="input-group">
                                            <button
                                                class="decreameant-btn btn btn-outline-secondary input-group-append btn-sm"
                                                data-product-id="{{ $data['pId'] }}">-</button>

                                            <input id="demoInput" type="number"
                                                class="form-control form-control-sm text-cente inp-counter demoInput{{ $data['pId'] }}"
                                                readonly value="{{ $data['quantity'] }}" min=1 max=100 disabled>

                                            <button
                                                class="increment-btn btn btn-outline-secondary input-group-append btn-sm"
                                                data-product-id="{{ $data['pId'] }}">+</button>
                                        </div>
                                    </div>
                                </td>
                                <td class="cart-cells shippingPage-product-total{{ $data['pId'] }}">
                                    ${{ $data['amount'] * $data['quantity'] }}
                                </td>
                            </tr>
                        @endforeach
                    @else
                        <tr>
                            <td colspan="4" class="text-center p-4">
                                Your cart is empty
                                <br>
                                <svg xmlns="http://www.w3.org/2000/svg" class="bi bi-cart2" width="30"
                                    viewBox="0 0 16 16">
                                    <path
                                        d="M0 2.5A.5.5 0 0 1 .5 2H2a.5.5 0 0 1 .485.379L2.89 4H14.5a.5.5 0 0 1 .485.621l-1.5 6A.5.5 0 0 1 13 11H4a.5.5 0 0 1-.485-.379L1.61 3H.5a.5.5 0 0 1-.5-.5zM3.14 5l1.25 5h8.22l1.25-5H3.14zM5 13a1 1 0 1 0 0 2 1 1 0 0 0 0-2zm-2 1a2 2 0 1 1 4 0 2 2 0 0 1-4 0zm9-1a1 1 0 1 0 0 2 1 1 0 0 0 0-2zm-2 1a2 2 0 1 1 4 0 2 2 0 0 1-4 0z" />
                                </svg>
                                <div class="border-top m-3 pt-3">
                                    <button class="btn btn-dark btn-lg w-30"
                                        onclick="window.location.href='{{ url('/') }}'">Continue Shopping</button>
                                </div>
                            </td>
                        </tr>
                    @endif
                </tbody>
            </table>

        </div>
        <div class="col-md-4">
            <div class="cart-total-section">
                <div class="cart-total-section-header">Cart Totals</div>
                <div class="row m-3">
                    <div class="col-5">
                        Subtotal
                    </div>
                    <div class="col-7 shippingPage-subTotal">
                        ${{ $subTotal - $totalGst ?? 0 }}
                    </div>
                </div>
                <div class="row border-top m-3 pt-3">
                    <div class="col-5">
                        Total
                    </div>
                    <div class="col-7 shoppingPage-total_amount">
                        ${{ $totalAmount ?? 0 }}
                    </div>
                </div>
                <div class="border-top m-3 pt-3">
                    <a href="{{ route('Website.CheckOut') }}">
                        <button class="btn btn-dark btn-lg w-100">Proceed to Checkout</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>

@include('Website.Includes.footer')
