@php
    use Illuminate\Support\Facades\Auth;
    $logged_in_user = Auth::user();
    use App\General\GeneralSettingsClass;
@endphp
<style>
 @media (max-width: 1024px)
    {
        #select_category{
           font-size:14px;
        }
    }
      @media (max-width: 768px)
    {
        #select_category{
           font-size:8px;
           font-weight:600;
        }
    }
    
</style>
<!-- Header -->
<section class="topbar-section">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12">
                <p class="topbar-text">{{ GeneralSettingsClass::getOptionValue('_tagline', $settings) }}</p>
            </div>
        </div>
    </div>
</section>
<!-- Inner Navbar -->
<section class="navbar-second">
    <div class="container">
        <button class="navbar-toggler topnavbar-toggle" type="button" data-bs-toggle="collapse"
            data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
            aria-label="Toggle navigation">
            <span class="navbar-toggler-icona"><svg xmlns="http://www.w3.org/2000/svg" fill="currentColor"
                    class="bi bi-justify navbar-toggler-icona" viewBox="0 0 16 16">
                    <path fill-rule="evenodd"
                        d="M2 12.5a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5zm0-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5z" />
                </svg></span>
        </button>
        <div class="row">
            <div class="col-lg-2 col-md-2 col-sm-4 col-3 nav-logo-width-17">
                <div>
                    <img src="{{ url('/') . '/' . $headerLogo }}" onclick="window.location.href='{{ url('/') }}'"
                        class="svg-logo" title="ToolTrade Logo" alt="ToolTrade Logo">
                </div>
            </div>
            <div class="col-lg-6 col-md-4 col-sm-0 d-none-767 nav-logo-width-57">
                <form action="{{ route('Website.Filter_Products') }}" method="GET">
                    {{-- @csrf --}}
                    <div class="input-group">
                        <input type="text" class="form-control topbar-input-style" placeholder="Search"
                            aria-label="Text input with dropdown button" name="search"
                            style="border: none !important;">
                        <select name="select_category" id="select_category"
                            class="form-select top-navbar-search-select">
                            <option value="" selected disabled>All Categories</option>
                            @foreach ($navbarCategories as $category)
                                <option value="{{ $category->id }}">{{ ucwords($category->title) }}</option>
                            @endforeach
                        </select>
                        <button class="btn top-navbar-search-btn" type="submit">
                            <span>
                                <svg xmlns="http://www.w3.org/2000/svg" fill="currentColor"
                                    class="bi bi-search top-navbar-search-icon" viewBox="0 0 16 16">
                                    <path
                                        d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z" />
                                </svg>
                            </span>
                        </button>
                    </div>
                </form>
            </div>
            <div class="col-lg-2 col-md-3 col-sm-4 col-4 top-nav-aligncenter nav-logo-width-14">
                <li class="nav-item {{ Auth::check() ? 'list-type-m' : 'list-type-n' }}">
                    @if (Auth::check())
                        <div class="dropdown">
                            <span class="navbar-login top-nav-account-text-none btn dropdown-toggle" type="button"
                                data-bs-toggle="dropdown" aria-expanded="false">
                                My Account
                            </span>
                            <ul class="dropdown-menu">
                                <li><a class="dropdown-item"
                                        href="{{ route('Website.GeneralPages.Profile') }}">Profile</a></li>
                                <li><a class="dropdown-item" href="{{ route('Website.Logout') }}">Logout</a></li>
                            </ul>
                        </div>
                    @else
                        <a class="nav-link line-hight navbar-login " href="{{ url('/') }}/sign-in">
                            <span class="navbar-login top-nav-account-text-none">Signin / Signup</span>
                            {{-- <br class="top-nav-account-text-none"> --}}
                            <span class="icon-state__primary top-nav-account-icon-block"><svg focusable="false"
                                    class="icon icon--account top-navbar-cart-icon" viewBox="0 0 20 22"
                                    role="presentation">
                                    <path
                                        d="M10 13c2.82 0 5.33.64 6.98 1.2A3 3 0 0 1 19 17.02V21H1v-3.97a3 3 0 0 1 2.03-2.84A22.35 22.35 0 0 1 10 13zm0 0c-2.76 0-5-3.24-5-6V6a5 5 0 0 1 10 0v1c0 2.76-2.24 6-5 6z"
                                        stroke="currentColor" stroke-width="2" fill="none"></path>
                                </svg></span>
                        </a>
                    @endif
                </li>
            </div>
            <div class="col-lg-2 col-md-3 col-sm-4 col-5 top-nav-aligncenter col-border-l nav-logo-width-12 navCartItem">
                <li class="nav-item list-type-n">
                    <a class="nav-link line-hight2 navbar-login offcanvase_btn" data-bs-toggle="offcanvas"
                        data-bs-target="#offcanvasRight" aria-controls="offcanvasRight">
                        <span class="d-flex align-items-center">
                            <div><svg xmlns="http://www.w3.org/2000/svg" fill="currentColor"
                                    class="bi bi-cart2 svg-cart-icon-responsive top-navbar-cart-icon"
                                    viewBox="0 0 16 16">
                                    <path
                                        d="M0 2.5A.5.5 0 0 1 .5 2H2a.5.5 0 0 1 .485.379L2.89 4H14.5a.5.5 0 0 1 .485.621l-1.5 6A.5.5 0 0 1 13 11H4a.5.5 0 0 1-.485-.379L1.61 3H.5a.5.5 0 0 1-.5-.5zM3.14 5l1.25 5h8.22l1.25-5H3.14zM5 13a1 1 0 1 0 0 2 1 1 0 0 0 0-2zm-2 1a2 2 0 1 1 4 0 2 2 0 0 1-4 0zm9-1a1 1 0 1 0 0 2 1 1 0 0 0 0-2zm-2 1a2 2 0 1 1 4 0 2 2 0 0 1-4 0z" />
                                </svg><span class="topbar-cart-no">0</span></div> <span class="topbar-cart-text">
                                Cart</span>
                        </span>
                    </a>
                </li>
            </div>
        </div>
        <div class="row">
            <!-- fgfg -->
            <div class="col-lg-12 col-md-12 col-sm-12">
                <div class="d-block-767">
                    <form action="{{ route('Website.Filter_Products') }}" method="GET">
                        {{-- @csrf --}}
                        <div class="input-group">
                            <input type="text" class="form-control topbar-input-style" placeholder="Search"
                                aria-label="Text input with dropdown button" name="search"
                                style="border: none !important;">
                            <!--<select name="select_category" id="select_category"-->
                            <!--    class="form-select top-navbar-search-select">-->
                            <!--    <option value="" selected disabled>All Categories</option>-->
                            <!--    @foreach ($navbarCategories as $category)-->
                            <!--        <option value="{{ $category->id }}">{{ ucwords($category->title) }}</option>-->
                            <!--    @endforeach-->
                            <!--</select>-->
                            <button class="btn top-navbar-search-btn" type="submit">
                                <span>
                                    <svg xmlns="http://www.w3.org/2000/svg" fill="currentColor"
                                        class="bi bi-search top-navbar-search-icon" viewBox="0 0 16 16">
                                        <path
                                            d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z" />
                                    </svg>
                                </span>
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-light bg-white">
    <div class="container">
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mx-auto navbar-collapse-nav">
                @foreach ($menus as $menu)
                    <li
                        class="nav-item @php if(request()->is($menu->url)){echo 'open active';} @endphp @if (count($menu->menuMeta) > 0) dropdown @else '' @endif">
                        @if (!$menu->menuMeta->isEmpty())
                            <a class="nav-link" href="#" id="navbarDropdown" role="button"
                                data-bs-toggle="dropdown" aria-expanded="false">{{ ucwords($menu->title) }}
                                <span>
                                    <svg xmlns="http://www.w3.org/2000/svg" width="13" height="13"
                                        fill="currentColor" class="bi bi-chevron-down color-black"
                                        viewBox="0 0 16 16">
                                        <path fill-rule="evenodd"
                                            d="M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z" />
                                    </svg>
                                </span>
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                @foreach ($menu->menuMeta as $meta)
                                    <li><a class="dropdown-item"
                                            href="{{ $meta->url }}">{{ ucwords($meta->title) }}</a>
                                    </li>
                                @endforeach
                            </ul>
                        @else
                            <a class="nav-link @php if(request()->is($menu->url)){echo 'active';} @endphp"
                                aria-current="page" href="{{ $menu->url }}">{{ ucwords($menu->title) }}</a>
                        @endif
                    </li>
                @endforeach
            </ul>
        </div>
    </div>
</nav>
<!-- End Header -->
